drop view if exists view_deadRKI_0004_allbundesland_weekly cascade;
create view view_deadRKI_0004_allbundesland_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'dead_0004' 
		and rt.id = 8
		order by r.nr, d.data_date;
		
drop view if exists view_deadRKI_0514_allbundesland_weekly cascade;
create view view_deadRKI_0514_allbundesland_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'dead_0514' 
		and rt.id = 8
		order by r.nr, d.data_date;
		
drop view if exists view_deadRKI_1534_allbundesland_weekly cascade;
create view view_deadRKI_1534_allbundesland_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'dead_1534' 
		and rt.id = 8
		order by r.nr, d.data_date;
		
drop view if exists view_deadRKI_3559_allbundesland_weekly cascade;
create view view_deadRKI_3559_allbundesland_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'dead_3559' 
		and rt.id = 8
		order by r.nr, d.data_date;
		
drop view if exists view_deadRKI_6079_allbundesland_weekly cascade;
create view view_deadRKI_6079_allbundesland_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'dead_6079' 
		and rt.id = 8
		order by r.nr, d.data_date;
		
drop view if exists view_deadRKI_80p_allbundesland_weekly cascade;
create view view_deadRKI_80p_allbundesland_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'dead_80plus' 
		and rt.id = 8
		and d.cases != 0
		order by r.nr, d.data_date;