drop view if exists view_cumsecondvaccine_dolnoslaski_weekly cascade;
create view view_cumsecondvaccine_dolnoslaski_weekly as
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 4) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues_poland d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' 
          AND mr.mapping_type_id = 20 
          AND dt.datavalues_type like 'second_vaccinated_poland' 
		  and d.data_date != DATE '2023-01-01'
          AND mr.toregion_id = 34813
          ORDER BY r.nr, d.data_date) vaccine_id;

drop view if exists view_cumsecondvaccine_kujawskoPomorskie_weekly cascade;
create view view_cumsecondvaccine_kujawskoPomorskie_weekly as
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 4) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues_poland d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' 
          AND mr.mapping_type_id = 20 
          AND dt.datavalues_type like 'second_vaccinated_poland' 
		  and d.data_date != DATE '2023-01-01'
          AND mr.toregion_id = 34814
          ORDER BY r.nr, d.data_date) vaccine_id;
	
drop view if exists view_cumsecondvaccine_lubelskie_weekly cascade;
create view view_cumsecondvaccine_lubelskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34815 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;

drop view if exists view_cumsecondvaccine_lubuskie_weekly cascade;
create view view_cumsecondvaccine_lubuskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34816 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;

drop view if exists view_cumsecondvaccine_lodzkie_weekly cascade;
create view view_cumsecondvaccine_lodzkie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34817 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;

drop view if exists view_cumsecondvaccine_malopolskie_weekly cascade;
create view view_cumsecondvaccine_malopolskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34818 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;

drop view if exists view_cumsecondvaccine_mazowiecki_weekly cascade;
create view view_cumsecondvaccine_mazowiecki_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34819 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_cumsecondvaccine_opolskie_weekly cascade;
create view view_cumsecondvaccine_opolskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34820 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;		
	
drop view if exists view_cumsecondvaccine_podkarpackie_weekly cascade;
create view view_cumsecondvaccine_podkarpackie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34821 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_cumsecondvaccine_podlaskie_weekly cascade;
create view view_cumsecondvaccine_podlaskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34822 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_cumsecondvaccine_pomorskie_weekly cascade;
create view view_cumsecondvaccine_pomorskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34823 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_cumsecondvaccine_slaski_weekly cascade;
create view view_cumsecondvaccine_slaski_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34824 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_cumsecondvaccine_swietokrzyski_weekly cascade;
create view view_cumsecondvaccine_swietokrzyski_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34825 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_cumsecondvaccine_warminskomazurskie_weekly cascade;
create view view_cumsecondvaccine_warminskomazurskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34826 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_cumsecondvaccine_wielkopolskie_weekly cascade;
create view view_cumsecondvaccine_wielkopolskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34827 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_cumsecondvaccine_zachodniopomorskie_weekly cascade;
create view view_cumsecondvaccine_zachodniopomorskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34828 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;