drop view if exists view_cumsecondvaccine_woj_weekly cascade;
create view view_cumsecondvaccine_woj_weekly as
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 5 then cast(cast(right(r.nr, 2) as integer) as varchar) 
				else right(r.nr, 4) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues_poland d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN region_types rt on r.region_type_id = rt.id 
          WHERE tt.timeperiod_type like 'Weekly' 
          AND rt.id = 11 
          AND dt.datavalues_type like 'second_vaccinated_poland' 
		  and d.data_date != DATE '2023-01-01'
          ORDER BY r.nr, d.data_date) vaccine_id;