drop view if exists view_tests_czechia_daily cascade;
create view view_tests_czechia_daily as
select case 
		when LENGTH(r.nr) = 4 then right(r.nr, 2) 
		when r.nr like 'CZ 0100' then cast(cast(right(r.nr,3) as integer)*10 as varchar)
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as tests
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where (rt.region_type like 'Okres' or rt.region_type like 'ORP') and dt.datavalues_type like 'test' and tt.timeperiod_type like 'Daily'
	order by r.nr, d.data_date;

drop view view_1100_testcase_daily;
create view view_1100_testcase_daily as
select 
	r.full_name as name_okres, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 1100'
		and d.time_period like 'Daily';

 drop view view_2101_testcase_daily;
create view view_2101_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2101'
		and d.time_period like 'Daily';

 drop view view_2102_testcase_daily;
create view view_2102_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2102'
		and d.time_period like 'Daily';

 drop view view_2103_testcase_daily;
create view view_2103_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2103 '
		and d.time_period like 'Daily';

 drop view view_2104_testcase_daily;
create view view_2104_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2104'
		and d.time_period like 'Daily';

 drop view view_2105_testcase_daily;
create view view_2105_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2105'
		and d.time_period like 'Daily';

 drop view view_2106_testcase_daily;
create view view_2106_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2106'
		and d.time_period like 'Daily';

 drop view view_2107_testcase_daily;
create view view_2107_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2107'
		and d.time_period like 'Daily';

 drop view view_2108_testcase_daily;
create view view_2108_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2108'
		and d.time_period like 'Daily';

 drop view view_2109_testcase_daily;
create view view_2109_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2109'
		and d.time_period like 'Daily';

 drop view view_2110_testcase_daily;
create view view_2110_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2110'
		and d.time_period like 'Daily';

 drop view view_2111_testcase_daily;
create view view_2111_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2111 '
		and d.time_period like 'Daily';

 drop view view_2112_testcase_daily;
create view view_2112_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2112'
		and d.time_period like 'Daily';

 drop view view_2113_testcase_daily;
create view view_2113_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2113'
		and d.time_period like 'Daily';

 drop view view_2114_testcase_daily;
create view view_2114_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2114'
		and d.time_period like 'Daily';

 drop view view_2115_testcase_daily;
create view view_2115_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2115'
		and d.time_period like 'Daily';

 drop view view_2116_testcase_daily;
create view view_2116_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2116'
		and d.time_period like 'Daily';

 drop view view_2117_testcase_daily;
create view view_2117_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2117'
		and d.time_period like 'Daily';

 drop view view_2118_testcase_daily;
create view view_2118_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2118'
		and d.time_period like 'Daily';

 drop view view_2119_testcase_daily;
create view view_2119_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2119'
		and d.time_period like 'Daily';

 drop view view_2120_testcase_daily;
create view view_2120_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2120'
		and d.time_period like 'Daily';

 drop view view_2121_testcase_daily;
create view view_2121_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2121'
		and d.time_period like 'Daily';

 drop view view_2122_testcase_daily;
create view view_2122_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2122'
		and d.time_period like 'Daily';

 drop view view_2123_testcase_daily;
create view view_2123_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2123'
		and d.time_period like 'Daily';

 drop view view_2124_testcase_daily;
create view view_2124_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2124'
		and d.time_period like 'Daily';

 drop view view_2125_testcase_daily;
create view view_2125_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2125'
		and d.time_period like 'Daily';

 drop view view_2126_testcase_daily;
create view view_2126_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 2126'
		and d.time_period like 'Daily';

 drop view view_3101_testcase_daily;
create view view_3101_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3101'
		and d.time_period like 'Daily';

 drop view view_3102_testcase_daily;
create view view_3102_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3102'
		and d.time_period like 'Daily';

 drop view view_3103_testcase_daily;
create view view_3103_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3103'
		and d.time_period like 'Daily';

 drop view view_3104_testcase_daily;
create view view_3104_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3104'
		and d.time_period like 'Daily';

 drop view view_3105_testcase_daily;
create view view_3105_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3105'
		and d.time_period like 'Daily';

 drop view view_3106_testcase_daily;
create view view_3106_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3106'
		and d.time_period like 'Daily';

 drop view view_3107_testcase_daily;
create view view_3107_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3107'
		and d.time_period like 'Daily';

 drop view view_3108_testcase_daily;
create view view_3108_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3108'
		and d.time_period like 'Daily';

 drop view view_3109_testcase_daily;
create view view_3109_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3109'
		and d.time_period like 'Daily';

 drop view view_3110_testcase_daily;
create view view_3110_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3110'
		and d.time_period like 'Daily';

 drop view view_3111_testcase_daily;
create view view_3111_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3111'
		and d.time_period like 'Daily';

 drop view view_3112_testcase_daily;
create view view_3112_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3112'
		and d.time_period like 'Daily';

 drop view view_3113_testcase_daily;
create view view_3113_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3113'
		and d.time_period like 'Daily';

 drop view view_3114_testcase_daily;
create view view_3114_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3114'
		and d.time_period like 'Daily';

 drop view view_3115_testcase_daily;
create view view_3115_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3115 '
		and d.time_period like 'Daily';

 drop view view_3116_testcase_daily;
create view view_3116_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3116'
		and d.time_period like 'Daily';

 drop view view_3117_testcase_daily;
create view view_3117_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3117'
		and d.time_period like 'Daily';

 drop view view_3201_testcase_daily;
create view view_3201_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3201'
		and d.time_period like 'Daily';

 drop view view_3202_testcase_daily;
create view view_3202_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3202'
		and d.time_period like 'Daily';

 drop view view_3203_testcase_daily;
create view view_3203_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3203'
		and d.time_period like 'Daily';

 drop view view_3204_testcase_daily;
create view view_3204_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3204'
		and d.time_period like 'Daily';

 drop view view_3205_testcase_daily;
create view view_3205_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3205'
		and d.time_period like 'Daily';

 drop view view_3206_testcase_daily;
create view view_3206_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3206'
		and d.time_period like 'Daily';

 drop view view_3207_testcase_daily;
create view view_3207_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3207'
		and d.time_period like 'Daily';

 drop view view_3208_testcase_daily;
create view view_3208_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3208'
		and d.time_period like 'Daily';

 drop view view_3209_testcase_daily;
create view view_3209_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3209'
		and d.time_period like 'Daily';

 drop view view_3210_testcase_daily;
create view view_3210_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3210'
		and d.time_period like 'Daily';

 drop view view_3211_testcase_daily;
create view view_3211_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3211'
		and d.time_period like 'Daily';

 drop view view_3212_testcase_daily;
create view view_3212_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3212'
		and d.time_period like 'Daily';

 drop view view_3213_testcase_daily;
create view view_3213_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3213'
		and d.time_period like 'Daily';

 drop view view_3214_testcase_daily;
create view view_3214_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3214'
		and d.time_period like 'Daily';

 drop view view_3215_testcase_daily;
create view view_3215_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 3215'
		and d.time_period like 'Daily';

 drop view view_4101_testcase_daily;
create view view_4101_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4101'
		and d.time_period like 'Daily';

 drop view view_4102_testcase_daily;
create view view_4102_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4102'
		and d.time_period like 'Daily';

 drop view view_4103_testcase_daily;
create view view_4103_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4103'
		and d.time_period like 'Daily';

 drop view view_4104_testcase_daily;
create view view_4104_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4104'
		and d.time_period like 'Daily';

 drop view view_4105_testcase_daily;
create view view_4105_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4105'
		and d.time_period like 'Daily';

 drop view view_4106_testcase_daily;
create view view_4106_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4106'
		and d.time_period like 'Daily';

 drop view view_4107_testcase_daily;
create view view_4107_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4107'
		and d.time_period like 'Daily';

 drop view view_4201_testcase_daily;
create view view_4201_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4201'
		and d.time_period like 'Daily';

 drop view view_4202_testcase_daily;
create view view_4202_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4202'
		and d.time_period like 'Daily';

 drop view view_4203_testcase_daily;
create view view_4203_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4203'
		and d.time_period like 'Daily';

 drop view view_4204_testcase_daily;
create view view_4204_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4204'
		and d.time_period like 'Daily';

 drop view view_4205_testcase_daily;
create view view_4205_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4205'
		and d.time_period like 'Daily';

 drop view view_4206_testcase_daily;
create view view_4206_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4206'
		and d.time_period like 'Daily';

 drop view view_4207_testcase_daily;
create view view_4207_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4207'
		and d.time_period like 'Daily';

 drop view view_4208_testcase_daily;
create view view_4208_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4208'
		and d.time_period like 'Daily';

 drop view view_4209_testcase_daily;
create view view_4209_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4209'
		and d.time_period like 'Daily';

 drop view view_4210_testcase_daily;
create view view_4210_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4210'
		and d.time_period like 'Daily';

 drop view view_4211_testcase_daily;
create view view_4211_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4211'
		and d.time_period like 'Daily';

 drop view view_4212_testcase_daily;
create view view_4212_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4212'
		and d.time_period like 'Daily';

 drop view view_4213_testcase_daily;
create view view_4213_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4213'
		and d.time_period like 'Daily';

 drop view view_4214_testcase_daily;
create view view_4214_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4214'
		and d.time_period like 'Daily';

 drop view view_4215_testcase_daily;
create view view_4215_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4215'
		and d.time_period like 'Daily';

 drop view view_4216_testcase_daily;
create view view_4216_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 4216'
		and d.time_period like 'Daily';

 drop view view_5101_testcase_daily;
create view view_5101_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5101'
		and d.time_period like 'Daily';

 drop view view_5102_testcase_daily;
create view view_5102_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5102'
		and d.time_period like 'Daily';

 drop view view_5103_testcase_daily;
create view view_5103_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5103'
		and d.time_period like 'Daily';

 drop view view_5104_testcase_daily;
create view view_5104_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5104'
		and d.time_period like 'Daily';

 drop view view_5105_testcase_daily;
create view view_5105_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5105'
		and d.time_period like 'Daily';

 drop view view_5106_testcase_daily;
create view view_5106_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5106'
		and d.time_period like 'Daily';

 drop view view_5107_testcase_daily;
create view view_5107_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5107'
		and d.time_period like 'Daily';

 drop view view_5108_testcase_daily;
create view view_5108_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5108'
		and d.time_period like 'Daily';

 drop view view_5109_testcase_daily;
create view view_5109_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5109'
		and d.time_period like 'Daily';

 drop view view_5110_testcase_daily;
create view view_5110_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5110'
		and d.time_period like 'Daily';

 drop view view_5201_testcase_daily;
create view view_5201_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5201'
		and d.time_period like 'Daily';

 drop view view_5202_testcase_daily;
create view view_5202_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5202'
		and d.time_period like 'Daily';

 drop view view_5203_testcase_daily;
create view view_5203_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5203'
		and d.time_period like 'Daily';

 drop view view_5204_testcase_daily;
create view view_5204_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5204'
		and d.time_period like 'Daily';

 drop view view_5205_testcase_daily;
create view view_5205_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5205'
		and d.time_period like 'Daily';

 drop view view_5206_testcase_daily;
create view view_5206_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5206'
		and d.time_period like 'Daily';

 drop view view_5207_testcase_daily;
create view view_5207_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5207'
		and d.time_period like 'Daily';

 drop view view_5208_testcase_daily;
create view view_5208_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5208'
		and d.time_period like 'Daily';

 drop view view_5209_testcase_daily;
create view view_5209_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5209'
		and d.time_period like 'Daily';

 drop view view_5210_testcase_daily;
create view view_5210_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5210'
		and d.time_period like 'Daily';

 drop view view_5211_testcase_daily;
create view view_5211_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5211'
		and d.time_period like 'Daily';

 drop view view_5212_testcase_daily;
create view view_5212_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5212'
		and d.time_period like 'Daily';

 drop view view_5213_testcase_daily;
create view view_5213_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5213'
		and d.time_period like 'Daily';

 drop view view_5214_testcase_daily;
create view view_5214_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5214'
		and d.time_period like 'Daily';

 drop view view_5215_testcase_daily;
create view view_5215_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5215'
		and d.time_period like 'Daily';

 drop view view_5301_testcase_daily;
create view view_5301_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5301'
		and d.time_period like 'Daily';

 drop view view_5302_testcase_daily;
create view view_5302_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5302'
		and d.time_period like 'Daily';

 drop view view_5303_testcase_daily;
create view view_5303_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5303'
		and d.time_period like 'Daily';

 drop view view_5304_testcase_daily;
create view view_5304_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5304'
		and d.time_period like 'Daily';

 drop view view_5305_testcase_daily;
create view view_5305_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5305'
		and d.time_period like 'Daily';

 drop view view_5306_testcase_daily;
create view view_5306_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5306'
		and d.time_period like 'Daily';

 drop view view_5307_testcase_daily;
create view view_5307_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5307'
		and d.time_period like 'Daily';

 drop view view_5308_testcase_daily;
create view view_5308_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5308'
		and d.time_period like 'Daily';

 drop view view_5309_testcase_daily;
create view view_5309_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5309'
		and d.time_period like 'Daily';

 drop view view_5310_testcase_daily;
create view view_5310_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5310'
		and d.time_period like 'Daily';

 drop view view_5311_testcase_daily;
create view view_5311_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5311'
		and d.time_period like 'Daily';

 drop view view_5312_testcase_daily;
create view view_5312_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5312'
		and d.time_period like 'Daily';

 drop view view_5313_testcase_daily;
create view view_5313_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5313'
		and d.time_period like 'Daily';

 drop view view_5314_testcase_daily;
create view view_5314_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5314'
		and d.time_period like 'Daily';

 drop view view_5315_testcase_daily;
create view view_5315_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 5315'
		and d.time_period like 'Daily';

 drop view view_6101_testcase_daily;
create view view_6101_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6101'
		and d.time_period like 'Daily';

 drop view view_6102_testcase_daily;
create view view_6102_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6102'
		and d.time_period like 'Daily';

 drop view view_6103_testcase_daily;
create view view_6103_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6103'
		and d.time_period like 'Daily';

 drop view view_6104_testcase_daily;
create view view_6104_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6104'
		and d.time_period like 'Daily';

 drop view view_6105_testcase_daily;
create view view_6105_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6105'
		and d.time_period like 'Daily';

 drop view view_6106_testcase_daily;
create view view_6106_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6106'
		and d.time_period like 'Daily';

 drop view view_6107_testcase_daily;
create view view_6107_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6107'
		and d.time_period like 'Daily';

 drop view view_6108_testcase_daily;
create view view_6108_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6108'
		and d.time_period like 'Daily';

 drop view view_6109_testcase_daily;
create view view_6109_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6109'
		and d.time_period like 'Daily';

 drop view view_6110_testcase_daily;
create view view_6110_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6110'
		and d.time_period like 'Daily';

 drop view view_6111_testcase_daily;
create view view_6111_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6111'
		and d.time_period like 'Daily';

 drop view view_6112_testcase_daily;
create view view_6112_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6112'
		and d.time_period like 'Daily';

 drop view view_6113_testcase_daily;
create view view_6113_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6113'
		and d.time_period like 'Daily';

 drop view view_6114_testcase_daily;
create view view_6114_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6114'
		and d.time_period like 'Daily';

 drop view view_6115_testcase_daily;
create view view_6115_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6115'
		and d.time_period like 'Daily';

 drop view view_6201_testcase_daily;
create view view_6201_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6201'
		and d.time_period like 'Daily';

 drop view view_6202_testcase_daily;
create view view_6202_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6202'
		and d.time_period like 'Daily';

 drop view view_6203_testcase_daily;
create view view_6203_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6203'
		and d.time_period like 'Daily';

 drop view view_6204_testcase_daily;
create view view_6204_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6204'
		and d.time_period like 'Daily';

 drop view view_6205_testcase_daily;
create view view_6205_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6205'
		and d.time_period like 'Daily';

 drop view view_6206_testcase_daily;
create view view_6206_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6206'
		and d.time_period like 'Daily';

 drop view view_6207_testcase_daily;
create view view_6207_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6207'
		and d.time_period like 'Daily';

 drop view view_6208_testcase_daily;
create view view_6208_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6208'
		and d.time_period like 'Daily';

 drop view view_6209_testcase_daily;
create view view_6209_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6209'
		and d.time_period like 'Daily';

 drop view view_6210_testcase_daily;
create view view_6210_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6210'
		and d.time_period like 'Daily';

 drop view view_6211_testcase_daily;
create view view_6211_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6211'
		and d.time_period like 'Daily';

 drop view view_6212_testcase_daily;
create view view_6212_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6212'
		and d.time_period like 'Daily';

 drop view view_6213_testcase_daily;
create view view_6213_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6213'
		and d.time_period like 'Daily';

 drop view view_6214_testcase_daily;
create view view_6214_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6214'
		and d.time_period like 'Daily';

 drop view view_6215_testcase_daily;
create view view_6215_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6215'
		and d.time_period like 'Daily';

 drop view view_6216_testcase_daily;
create view view_6216_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6216'
		and d.time_period like 'Daily';

 drop view view_6217_testcase_daily;
create view view_6217_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6217'
		and d.time_period like 'Daily';

 drop view view_6218_testcase_daily;
create view view_6218_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6218'
		and d.time_period like 'Daily';

 drop view view_6219_testcase_daily;
create view view_6219_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6219'
		and d.time_period like 'Daily';

 drop view view_6220_testcase_daily;
create view view_6220_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6220'
		and d.time_period like 'Daily';

 drop view view_6221_testcase_daily;
create view view_6221_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 6221'
		and d.time_period like 'Daily';

 drop view view_7101_testcase_daily;
create view view_7101_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7101'
		and d.time_period like 'Daily';

 drop view view_7102_testcase_daily;
create view view_7102_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7102'
		and d.time_period like 'Daily';

 drop view view_7103_testcase_daily;
create view view_7103_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7103'
		and d.time_period like 'Daily';

 drop view view_7104_testcase_daily;
create view view_7104_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7104'
		and d.time_period like 'Daily';

 drop view view_7105_testcase_daily;
create view view_7105_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7105'
		and d.time_period like 'Daily';

 drop view view_7106_testcase_daily;
create view view_7106_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7106'
		and d.time_period like 'Daily';

 drop view view_7107_testcase_daily;
create view view_7107_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7107'
		and d.time_period like 'Daily';

 drop view view_7108_testcase_daily;
create view view_7108_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7108'
		and d.time_period like 'Daily';

 drop view view_7109_testcase_daily;
create view view_7109_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7109'
		and d.time_period like 'Daily';

 drop view view_7110_testcase_daily;
create view view_7110_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7110'
		and d.time_period like 'Daily';

 drop view view_7111_testcase_daily;
create view view_7111_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7111'
		and d.time_period like 'Daily';

 drop view view_7112_testcase_daily;
create view view_7112_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7112'
		and d.time_period like 'Daily';

 drop view view_7113_testcase_daily;
create view view_7113_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7113'
		and d.time_period like 'Daily';

 drop view view_7201_testcase_daily;
create view view_7201_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7201'
		and d.time_period like 'Daily';

 drop view view_7202_testcase_daily;
create view view_7202_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7202'
		and d.time_period like 'Daily';

 drop view view_7203_testcase_daily;
create view view_7203_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7203'
		and d.time_period like 'Daily';

 drop view view_7204_testcase_daily;
create view view_7204_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7204'
		and d.time_period like 'Daily';

 drop view view_7205_testcase_daily;
create view view_7205_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7205'
		and d.time_period like 'Daily';

 drop view view_7206_testcase_daily;
create view view_7206_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7206'
		and d.time_period like 'Daily';

 drop view view_7207_testcase_daily;
create view view_7207_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7207'
		and d.time_period like 'Daily';

 drop view view_7208_testcase_daily;
create view view_7208_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7208'
		and d.time_period like 'Daily';

 drop view view_7209_testcase_daily;
create view view_7209_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7209'
		and d.time_period like 'Daily';

 drop view view_7210_testcase_daily;
create view view_7210_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7210'
		and d.time_period like 'Daily';

 drop view view_7211_testcase_daily;
create view view_7211_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7211'
		and d.time_period like 'Daily';

 drop view view_7212_testcase_daily;
create view view_7212_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7212'
		and d.time_period like 'Daily';

 drop view view_7213_testcase_daily;
create view view_7213_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 7213'
		and d.time_period like 'Daily';

 drop view view_8101_testcase_daily;
create view view_8101_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8101'
		and d.time_period like 'Daily';

 drop view view_8102_testcase_daily;
create view view_8102_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8102'
		and d.time_period like 'Daily';

 drop view view_8103_testcase_daily;
create view view_8103_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8103'
		and d.time_period like 'Daily';

 drop view view_8104_testcase_daily;
create view view_8104_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8104'
		and d.time_period like 'Daily';

 drop view view_8105_testcase_daily;
create view view_8105_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8105'
		and d.time_period like 'Daily';

 drop view view_8106_testcase_daily;
create view view_8106_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8106'
		and d.time_period like 'Daily';

 drop view view_8107_testcase_daily;
create view view_8107_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8107'
		and d.time_period like 'Daily';

 drop view view_8108_testcase_daily;
create view view_8108_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8108'
		and d.time_period like 'Daily';

 drop view view_8109_testcase_daily;
create view view_8109_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8109'
		and d.time_period like 'Daily';

 drop view view_8110_testcase_daily;
create view view_8110_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8110'
		and d.time_period like 'Daily';

 drop view view_8111_testcase_daily;
create view view_8111_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8111'
		and d.time_period like 'Daily';

 drop view view_8112_testcase_daily;
create view view_8112_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8112'
		and d.time_period like 'Daily';

 drop view view_8113_testcase_daily;
create view view_8113_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8113'
		and d.time_period like 'Daily';

 drop view view_8114_testcase_daily;
create view view_8114_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8114'
		and d.time_period like 'Daily';

 drop view view_8115_testcase_daily;
create view view_8115_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8115'
		and d.time_period like 'Daily';

 drop view view_8116_testcase_daily;
create view view_8116_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8116'
		and d.time_period like 'Daily';

 drop view view_8117_testcase_daily;
create view view_8117_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8117'
		and d.time_period like 'Daily';

 drop view view_8118_testcase_daily;
create view view_8118_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8118'
		and d.time_period like 'Daily';

 drop view view_8119_testcase_daily;
create view view_8119_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8119'
		and d.time_period like 'Daily';

 drop view view_8120_testcase_daily;
create view view_8120_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8120'
		and d.time_period like 'Daily';

 drop view view_8121_testcase_daily;
create view view_8121_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8121'
		and d.time_period like 'Daily';

 drop view view_8122_testcase_daily;
create view view_8122_testcase_daily as
select 
	r.full_name as name_orp, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as test, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'test' 
		and r.nr like 'CZ 8122'
		and d.time_period like 'Daily';


