drop view if exists view_infected_allkraj_weekly cascade;
create view view_infected_allkraj_weekly as
select case 
		when LENGTH(r.nr) = 6 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases,
	   r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'infected' 
		and rt.id = 4
		order by r.nr, d.data_date;
		
drop view if exists view_infected_allkraj_daily cascade;
create view view_infected_allkraj_daily as
select case 
		when LENGTH(r.nr) = 6 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases,
	   r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and dt.datavalues_type like 'infected' 
		and rt.id = 4
		order by r.nr, d.data_date;

drop view if exists view_infected_allczech_daily cascade;
create view view_infected_allczech_daily as
select  
		'1000' as region,
		"date" as "date",
		sum(cases) as cases
		from view_infected_allkraj_daily
		group by "date";

drop view if exists view_infected_allczech_weekly cascade;
create view view_infected_allczech_weekly as
select  
		'1000' as region,
		"date" as "date",
		sum(cases) as cases
		from view_infected_allkraj_weekly
		group by "date";
