drop view if exists view_infected_hlavnimiestopraha_daily cascade;
create view view_infected_hlavnimiestopraha_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 128 
		order by r.nr, d.data_date;

drop view if exists view_infected_stredocesky_daily cascade;
create view view_infected_stredocesky_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 129 
		order by r.nr, d.data_date;
	
drop view if exists view_infected_jihocesky_daily cascade;
create view view_infected_jihocesky_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 130 
		order by r.nr, d.data_date;

drop view if exists view_infected_plzensky_daily cascade;
create view view_infected_plzensky_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 131 
		order by r.nr, d.data_date;

drop view if exists view_infected_karlovarsky_daily cascade;
create view view_infected_karlovarsky_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 132 
		order by r.nr, d.data_date;

drop view if exists view_infected_ustecky_daily cascade;
create view view_infected_ustecky_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 133 
		order by r.nr, d.data_date;

drop view if exists view_infected_liberecky_daily cascade;
create view view_infected_liberecky_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 134 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_klarovehradecky_daily cascade;
create view view_infected_klarovehradecky_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 135 
		order by r.nr, d.data_date;		
	
drop view if exists view_infected_pardubicky_daily cascade;
create view view_infected_pardubicky_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 136 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_vysocina_daily cascade;
create view view_infected_vysocina_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 137 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_jihomoravsky_daily cascade;
create view view_infected_jihomoravsky_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 138 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_olomoucky_daily cascade;
create view view_infected_olomoucky_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 139 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_zlinsky_daily cascade;
create view view_infected_zlinsky_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 140 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_moravskosleszky_daily cascade;
create view view_infected_moravskosleszky_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =15 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id = 141 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_okres_weekly cascade;
create view view_infected_okres_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_czech d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'infected' 
		and rt.id = 3
		order by r.nr, d.data_date;
