drop view if exists view_infectedRKI_schleswigholstein_daily cascade;
create view view_infectedRKI_schleswigholstein_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases,
	   r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6683 
		order by r.nr, d.data_date;

drop view if exists view_infectedRKI_hamburg_daily cascade;
create view view_infectedRKI_hamburg_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6684 
		order by r.nr, d.data_date;
	
drop view if exists view_infectedRKI_niedersachsen_daily cascade;
create view view_infectedRKI_niedersachsen_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6685 
		order by r.nr, d.data_date;

drop view if exists view_infectedRKI_bremen_daily cascade;
create view view_infectedRKI_bremen_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6686 
		order by r.nr, d.data_date;

drop view if exists view_infectedRKI_nordrheinwestfalen_daily cascade;
create view view_infectedRKI_nordrheinwestfalen_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6687 
		order by r.nr, d.data_date;

drop view if exists view_infectedRKI_hessen_daily cascade;
create view view_infectedRKI_hessen_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6688 
		order by r.nr, d.data_date;

drop view if exists view_infectedRKI_rheinpfalz_daily cascade;
create view view_infectedRKI_rheinpfalz_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6689 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_badenwuertemberg_daily cascade;
create view view_infectedRKI_badenwuertemberg_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6690 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_bayern_daily cascade;
create view view_infectedRKI_bayern_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6691 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_saarland_daily cascade;
create view view_infectedRKI_saarland_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6692 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_berlin_daily cascade;
create view view_infectedRKI_berlin_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6693 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_brandenburg_daily cascade;
create view view_infectedRKI_brandenburg_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6694 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_mecklenburgvorpommern_daily cascade;
create view view_infectedRKI_mecklenburgvorpommern_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6695 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_sachsenanhalt_daily cascade;
create view view_infectedRKI_sachsenanhalt_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6697 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_thueringen_daily cascade;
create view view_infectedRKI_thueringen_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6698 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_allkreise_daily_withName cascade;
create view view_infectedRKI_allkreise_daily_withName as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
		r.full_name as "name",
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and dt.datavalues_type like 'infected' 
		and rt.id = 7
		order by r.nr, d.data_date;
		
drop view if exists view_deadRKI_allkreise_daily_withName cascade;
create view view_deadRKI_allkreise_daily_withName as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
		r.full_name as "name",
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and dt.datavalues_type like 'dead' 
		and rt.id = 7
		order by r.nr, d.data_date;
		
drop view if exists view_deadRKI_allbundesland_daily cascade;
create view view_deadRKI_allbundesland_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and dt.datavalues_type like 'dead' 
		and rt.id = 8
		order by r.nr, d.data_date;
	
drop view if exists view_deadinfectedRKI_allkreise_daily_withName cascade;
create view view_deadinfectedRKI_allkreise_daily_withName as
select 
	vdadw.region as region,
	vdadw."name" as "name",
	vdadw."date" as "date",
	vdadw.cases as dead,
	viadw.cases as infected,
	vdadw.population as population
	from 
	view_deadrki_allkreise_daily_withname vdadw
	inner join view_infectedrki_allkreise_daily_withname viadw on (vdadw.region=viadw.region and vdadw."date"=viadw."date")
	order by region, "date";
	
drop view if exists view_infectedRKI_allbundesland_daily_withName cascade;
create view view_infectedRKI_allbundesland_daily_withName as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
		r.full_name as "name",
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and dt.datavalues_type like 'infected' 
		and rt.id = 8
		order by r.nr, d.data_date;
		
drop view if exists view_deadRKI_allbundesland_daily_withName cascade;
create view view_deadRKI_allbundesland_daily_withName as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
		r.full_name as "name",
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and dt.datavalues_type like 'dead' 
		and rt.id = 8
		order by r.nr, d.data_date;
		
drop view if exists view_deadinfectedRKI_allbundesland_daily_withName cascade;
create view view_deadinfectedRKI_allbundesland_daily_withName as
select 
	vdadw.region as region,
	vdadw."name" as "name",
	vdadw."date" as "date",
	vdadw.cases as dead,
	viadw.cases as infected,
	vdadw.population as population
	from 
	view_deadrki_allbundesland_daily_withname vdadw
	inner join view_infectedrki_allbundesland_daily_withname viadw on (vdadw.region=viadw.region and vdadw."date"=viadw."date")
	order by region, "date";