drop view if exists view_infected_dolnoslaski_daily cascade;
create view view_infected_dolnoslaski_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases,
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34813 
		order by r.nr, d.data_date;

drop view if exists view_infected_kujawskoPomorskie_daily cascade;
create view view_infected_kujawskoPomorskie_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34814 
		order by r.nr, d.data_date;
	
drop view if exists view_infected_lubelskie_daily cascade;
create view view_infected_lubelskie_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34815 
		order by r.nr, d.data_date;

drop view if exists view_infected_lubuskie_daily cascade;
create view view_infected_lubuskie_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34816 
		order by r.nr, d.data_date;

drop view if exists view_infected_lodzkie_daily cascade;
create view view_infected_lodzkie_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34817 
		order by r.nr, d.data_date;

drop view if exists view_infected_malopolskie_daily cascade;
create view view_infected_malopolskie_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34818 
		order by r.nr, d.data_date;

drop view if exists view_infected_mazowiecki_daily cascade;
create view view_infected_mazowiecki_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34819 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_opolskie_daily cascade;
create view view_infected_opolskie_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34820 
		order by r.nr, d.data_date;		
	
drop view if exists view_infected_podkarpackie_daily cascade;
create view view_infected_podkarpackie_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34821 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_podlaskie_daily cascade;
create view view_infected_podlaskie_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34822 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_pomorskie_daily cascade;
create view view_infected_pomorskie_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34823 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_slaski_daily cascade;
create view view_infected_slaski_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34824 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_swietokrzyski_daily cascade;
create view view_infected_swietokrzyski_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34825 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_warminskomazurskie_daily cascade;
create view view_infected_warminskomazurskie_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34826 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_wielkopolskie_daily cascade;
create view view_infected_wielkopolskie_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34827 
		order by r.nr, d.data_date;
		
drop view if exists view_infected_zachodniopomorskie_daily cascade;
create view view_infected_zachodniopomorskie_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Daily' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'infected_nontyl' 
		and mr.toregion_id = 34828 
		order by r.nr, d.data_date;