drop view if exists view_infected_wojewodztwo_daily cascade;
create view view_infected_wojewodztwo_daily as
select case 
		when LENGTH(r.nr) = 5 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases,
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on r.region_type_id = rt.id 
	where 
		tt.timeperiod_type like 'Daily' 
		and dt.datavalues_type like 'infected_nontyl' 
		and rt.id = 11
		order by r.nr, d.data_date;
		
drop view if exists view_infected_wojewodztwo_weekly cascade;
create view view_infected_wojewodztwo_weekly as
select case 
		when LENGTH(r.nr) = 5 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases,
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on r.region_type_id = rt.id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'infected_nontyl' 
		and rt.id = 11
		order by r.nr, d.data_date;