drop view if exists view_infectedRKI_schleswigholstein_weekly cascade;
create view view_infectedRKI_schleswigholstein_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases,
	   r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6683 
		order by r.nr, d.data_date;

drop view if exists view_infectedRKI_hamburg_weekly cascade;
create view view_infectedRKI_hamburg_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6684 
		order by r.nr, d.data_date;
	
drop view if exists view_infectedRKI_niedersachsen_weekly cascade;
create view view_infectedRKI_niedersachsen_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6685 
		order by r.nr, d.data_date;

drop view if exists view_infectedRKI_bremen_weekly cascade;
create view view_infectedRKI_bremen_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6686 
		order by r.nr, d.data_date;

drop view if exists view_infectedRKI_nordrheinwestfalen_weekly cascade;
create view view_infectedRKI_nordrheinwestfalen_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6687 
		order by r.nr, d.data_date;

drop view if exists view_infectedRKI_hessen_weekly cascade;
create view view_infectedRKI_hessen_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6688 
		order by r.nr, d.data_date;

drop view if exists view_infectedRKI_rheinpfalz_weekly cascade;
create view view_infectedRKI_rheinpfalz_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6689 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_badenwuertemberg_weekly cascade;
create view view_infectedRKI_badenwuertemberg_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6690 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_bayern_weekly cascade;
create view view_infectedRKI_bayern_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6691 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_saarland_weekly cascade;
create view view_infectedRKI_saarland_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6692 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_berlin_weekly cascade;
create view view_infectedRKI_berlin_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6693 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_brandenburg_weekly cascade;
create view view_infectedRKI_brandenburg_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6694 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_mecklenburgvorpommern_weekly cascade;
create view view_infectedRKI_mecklenburgvorpommern_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6695 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_sachsenanhalt_weekly cascade;
create view view_infectedRKI_sachsenanhalt_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6697 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_thueringen_weekly cascade;
create view view_infectedRKI_thueringen_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =18 
		and dt.datavalues_type like 'infected' 
		and mr.toregion_id =6698 
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_allkreise_weekly cascade;
create view view_infectedRKI_allkreise_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'infected' 
		and rt.id = 7
		order by r.nr, d.data_date;
		
drop view if exists view_infectedRKI_allkreise_weekly_withName cascade;
create view view_infectedRKI_allkreise_weekly_withName as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
		r.full_name as "name",
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'infected' 
		and rt.id = 7
		order by r.nr, d.data_date;
	
drop view if exists view_deadRKI_allkreise_weekly_withName cascade;
create view view_deadRKI_allkreise_weekly_withName as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
		r.full_name as "name",
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'dead' 
		and rt.id = 7
		order by r.nr, d.data_date;

drop view if exists view_deadinfectedRKI_allkreise_weekly_withName cascade;
create view view_deadinfectedRKI_allkreise_weekly_withName as
select 
	vdaww.region as region,
	vdaww."name" as "name",
	vdaww."date" as "date",
	vdaww.cases as dead,
	viaww.cases as infected,
	vdaww.population as population
	from 
	view_deadrki_allkreise_weekly_withname vdaww
	inner join view_infectedrki_allkreise_weekly_withname viaww on (vdaww.region=viaww.region and vdaww."date"=viaww."date")
	order by region, "date";

drop view if exists view_infectedRKI_allbundesland_weekly cascade;
create view view_infectedRKI_allbundesland_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'infected' 
		and rt.id = 8
		order by r.nr, d.data_date;

drop view if exists view_infectedrki_allgermany_daily cascade;
create view view_infectedrki_allgermany_daily as
select  
		'DE' as region,
		"date" as "date",
		sum(cases) as cases
		from view_infectedrki_allbundesland_daily_withname 
		group by "date";

drop view if exists view_infectedrki_allgermany_weekly cascade;
create view view_infectedrki_allgermany_weekly as
select  
		'DE' as region,
		"date" as "date",
		sum(cases) as cases
		from view_infectedrki_allbundesland_weekly
		group by "date";

 
drop view if exists view_infectedRKI_allbundesland_weekly_hub cascade;
create view view_infectedRKI_allbundesland_weekly_hub as
select * from (select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'infected' 
		and rt.id = 8
		order by r.nr, d.data_date) as bundesland
	union 
	select region, "date", cases from view_infectedrki_allgermany_weekly
	order by region, "date";
	
drop view if exists view_deadRKI_allbundesland_weekly cascade;
create view view_deadRKI_allbundesland_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, r.population as population
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'dead' 
		and rt.id = 8
		order by r.nr, d.data_date;
		
drop view if exists view_infected_cases100k_bundesland cascade;
create view view_infected_cases100k_bundesland as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region_nr,
		r.full_name as region_name,
		r.geometry as geometry,
	    d.data_date as "date", 
	    cast((d.cases/cast(r.population as decimal) * 100000) as integer) as cases
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'infected' 
		and rt.id = 8
		order by r.nr, d.data_date;
		
drop view if exists view_vaccinerate_bundesland cascade;
create view view_vaccinerate_bundesland as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
		else right(r.nr, 5) 
		end as region_nr,
	    d.data_date as "date", 
	    d.cases / cast(r.population as decimal) as rate_vaccine
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join region_types rt on rt.id = r.region_type_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and dt.datavalues_type like 'second_vaccinated' 
		and rt.id = 8
		order by r.nr, d.data_date
		
drop view if exists view_cumvaccination_incidence_germany_states_weekly cascade;
create view view_cumvaccination_incidence_germany_states_weekly as	
select 
	vicb.region_nr as region_nr,
	vicb.region_name as region_name,
	vicb.geometry as geometry,
	vicb."date" as "date",
	vicb.cases as infected_incidence_100k,
	vdaw.cases as dead,
	cast((vdaw.cases/cast(vdaw.population as decimal) * 100000) as integer) as dead_incidence_100k,
	vvb.rate_vaccine as rate_vaccine,
	vasw.cumsum_ratevaccine as cumsum_ratevaccine
	from view_infected_cases100k_bundesland vicb
	inner join view_vaccinerate_bundesland vvb on (vicb.region_nr=vvb.region_nr and vicb."date" = vvb."date")
	INNER JOIN view_allbundesland_secondvaccinated_weekly vasw ON (vvb.region_nr=vasw.region and vvb."date"=vasw."date")
	inner join view_deadRKI_allbundesland_weekly vdaw on (vdaw.region = vasw.region and vdaw."date"=vasw."date");