drop view if exists view_Bundesweit_secondVaccinated_weekly;
create view view_Bundesweit_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Bundesweit (KA)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Schleswig_Holstein_secondVaccinated_weekly;
create view view_Schleswig_Holstein_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Schleswig-Holstein (SH)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Hamburg_secondVaccinated_weekly;
create view view_Hamburg_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Hamburg (HH)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Niedersachsen_secondVaccinated_weekly;
create view view_Niedersachsen_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Niedersachsen (NI)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Bremen_secondVaccinated_weekly;
create view view_Bremen_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Bremen (HB)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Nordrhein_Westfalen_secondVaccinated_weekly;
create view view_Nordrhein_Westfalen_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Nordrhein-Westfalen (NW)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Hessen_secondVaccinated_weekly;
create view view_Hessen_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Hessen (HE)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Rheinland_Pfalz_secondVaccinated_weekly;
create view view_Rheinland_Pfalz_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Rheinland-Pfalz (RP)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Baden_Wuerttemberg_secondVaccinated_weekly;
create view view_Baden_Wuerttemberg_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Baden-Württemberg (BW)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Bayern_secondVaccinated_weekly;
create view view_Bayern_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Bayern (BY)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Saarland_secondVaccinated_weekly;
create view view_Saarland_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Saarland (SL)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Berlin_secondVaccinated_weekly;
create view view_Berlin_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Berlin (BE)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Brandenburg_secondVaccinated_weekly;
create view view_Brandenburg_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Brandenburg (BB)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Mecklenburg_Vorpommern_secondVaccinated_weekly;
create view view_Mecklenburg_Vorpommern_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Mecklenburg-Vorpommern (MV)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Sachsen_secondVaccinated_weekly;
create view view_Sachsen_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Sachsen (SN)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Sachsen_Anhalt_secondVaccinated_weekly;
create view view_Sachsen_Anhalt_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Sachsen-Anhalt (ST)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Thueringen_secondVaccinated_weekly;
create view view_Thueringen_secondVaccinated_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like 'Bundesland'
		and r.full_name like 'Thüringen (TH)'
		and d.time_period like 'Weekly'
		order by data_date;

