drop view if exists view_vaccination_share_sachen;
create view view_vaccination_share_sachen as
select d.data_date as Impfdatum,
	   dt.datavalues_type as Impfstoff_Impfserie,
	   d.cases as Anzahl
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where tt.timeperiod_type like 'Daily' 
		and r.nr like 'D 14' 
		and (dt.datavalues_type like '%moderna%' or dt.datavalues_type like '%comirnaty%' or dt.datavalues_type like '%astrazeneca%' or dt.datavalues_type like 'janssen' )
	order by r.nr, d.data_date ;
	
drop view if exists view_vaccinetype_secondcomirnaty_bundesland;
create view view_vaccinetype_secondcomirnaty_bundesland as
select vaccine_id.region, 
		vaccine_id."date",
		sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine
		from datavalues d
		inner join datavalues_types dt on d.datavalue_type_id = dt.id
		join timeperiod_types tt on d.timeperiod_type_id = tt.id 
		join regions r on d.region_id = r.id  
		join region_types rt on r.region_type_id = rt.id
		where tt.timeperiod_type like 'Weekly' 
			and (
					rt.region_type like 'Bundesland'
					and dt.datavalues_type like 'second_vaccinated_comirnaty'
				)
		order by r.nr, d.data_date) as vaccine_id;
		
drop view if exists view_vaccinetype_secondastrazeneca_bundesland;
create view view_vaccinetype_secondastrazeneca_bundesland as
select vaccine_id.region, 
		vaccine_id."date",
		sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine
		from datavalues d
		inner join datavalues_types dt on d.datavalue_type_id = dt.id
		join timeperiod_types tt on d.timeperiod_type_id = tt.id 
		join regions r on d.region_id = r.id  
		join region_types rt on r.region_type_id = rt.id
		where tt.timeperiod_type like 'Weekly' 
			and (
					rt.region_type like 'Bundesland'
					and dt.datavalues_type like 'second_vaccinated_astrazeneca'
				)
		order by r.nr, d.data_date) as vaccine_id;
		
drop view if exists view_vaccinetype_secondmoderna_bundesland;
create view view_vaccinetype_secondastrazenecamoderna_bundesland as
select vaccine_id.region, 
		vaccine_id."date",
		sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine
		from datavalues d
		inner join datavalues_types dt on d.datavalue_type_id = dt.id
		join timeperiod_types tt on d.timeperiod_type_id = tt.id 
		join regions r on d.region_id = r.id  
		join region_types rt on r.region_type_id = rt.id
		where tt.timeperiod_type like 'Weekly' 
			and (
					rt.region_type like 'Bundesland'
					and dt.datavalues_type like 'second_vaccinated_moderna'
				)
		order by r.nr, d.data_date) as vaccine_id;