drop view if exists view_sachsen_secondVaccinated_60p_weekly;
create view view_sachsen_secondVaccinated_60p_weekly as
	select
	'14' as region,
	cum_vaccine.date as "date", 
	avg(cum_vaccine.cumsum_ratevaccine) as cumsum_ratevaccine
	from
	(SELECT vaccine_id.region,
    vaccine_id.date,
    sum(vaccine_id.cases/cast(vaccine_id.population as decimal))  over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from
	(select row_number() over (order by r.nr, d.data_date) as id,
			case
			when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
			else right(r.nr, 5) 
			end as region, 
		   d.data_date as "date", 
		   d.cases as cases, r.population as population
		from datavalues d
		inner join datavalues_types dt on d.datavalue_type_id = dt.id
		join timeperiod_types tt on d.timeperiod_type_id = tt.id 
		join regions r on d.region_id = r.id
		join mapping_regions mr on r.id = mr.fromregion_id 
		where 
			tt.timeperiod_type like 'Weekly' 
			and mr.mapping_type_id =18 
			and dt.datavalues_type like 'second_vaccinated_60plus' 
			and mr.toregion_id = 6696 
			order by r.nr, d.data_date) vaccine_id) cum_vaccine
			group by cum_vaccine.date;
		
drop view if exists view_sachsen_secondVaccinated_1859_weekly;
create view view_sachsen_secondVaccinated_1859_weekly as
	select
		'14' as region,
		cum_vaccine.date as "date", 
		avg(cum_vaccine.cumsum_ratevaccine) as cumsum_ratevaccine 
		from
		(SELECT vaccine_id.region,
		vaccine_id.date,
		sum(vaccine_id.cases/cast(vaccine_id.population as decimal))  over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
		from
		(select row_number() over (order by r.nr, d.data_date) as id,
				case
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
			   d.data_date as "date", 
			   d.cases as cases, r.population as population
			from datavalues d
			inner join datavalues_types dt on d.datavalue_type_id = dt.id
			join timeperiod_types tt on d.timeperiod_type_id = tt.id 
			join regions r on d.region_id = r.id
			join mapping_regions mr on r.id = mr.fromregion_id 
			where 
				tt.timeperiod_type like 'Weekly' 
				and mr.mapping_type_id =18 
				and dt.datavalues_type like 'second_vaccinated_1859' 
				and mr.toregion_id = 6696 
				order by r.nr, d.data_date) vaccine_id) cum_vaccine
				group by cum_vaccine.date;

drop view if exists view_bremen_secondVaccinated_60p_weekly;
create view view_bremen_secondVaccinated_60p_weekly as
	select
		'4' as region,
		cum_vaccine.date as date, 
		avg(cum_vaccine.cumsum_ratevaccine) as cumsum_ratevaccine from
	(SELECT vaccine_id.region,
    vaccine_id.date,
    sum(vaccine_id.cases/cast(vaccine_id.population as decimal))  over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from
	(select row_number() over (order by r.nr, d.data_date) as id,
			case
			when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
			else right(r.nr, 5) 
			end as region, 
		   d.data_date as "date", 
		   d.cases as cases, r.population as population
		from datavalues d
		inner join datavalues_types dt on d.datavalue_type_id = dt.id
		join timeperiod_types tt on d.timeperiod_type_id = tt.id 
		join regions r on d.region_id = r.id
		join mapping_regions mr on r.id = mr.fromregion_id 
		where 
			tt.timeperiod_type like 'Weekly' 
			and mr.mapping_type_id =18 
			and dt.datavalues_type like 'second_vaccinated_60plus' 
			and mr.toregion_id = 6686 
			order by r.nr, d.data_date) vaccine_id) cum_vaccine
			group by cum_vaccine.date;
			
drop view if exists view_bremen_secondVaccinated_1859_weekly;
create view view_bremen_secondVaccinated_1859_weekly as
	select 
		'4' as region,
		cum_vaccine.date as "date", 
		avg(cum_vaccine.cumsum_ratevaccine) as cumsum_ratevaccine 
		from
		(SELECT vaccine_id.region,
		vaccine_id.date,
		sum(vaccine_id.cases/cast(vaccine_id.population as decimal))  over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
		from
		(select row_number() over (order by r.nr, d.data_date) as id,
				case
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
			   d.data_date as "date", 
			   d.cases as cases, r.population as population
			from datavalues d
			inner join datavalues_types dt on d.datavalue_type_id = dt.id
			join timeperiod_types tt on d.timeperiod_type_id = tt.id 
			join regions r on d.region_id = r.id
			join mapping_regions mr on r.id = mr.fromregion_id 
			where 
				tt.timeperiod_type like 'Weekly' 
				and mr.mapping_type_id =18 
				and dt.datavalues_type like 'second_vaccinated_1859' 
				and mr.toregion_id = 6686 
				order by r.nr, d.data_date) vaccine_id) cum_vaccine
				group by cum_vaccine.date;