drop view if exists view_ratesecondvaccinerki_schleswigholstein_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_schleswigholstein_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6683
          ORDER BY r.nr, d.data_date) vaccine_id;

drop view if exists view_ratesecondvaccinerki_hamburg_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_hamburg_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6684
          ORDER BY r.nr, d.data_date) vaccine_id;
         
drop view if exists view_ratesecondvaccinerki_niedersachsen_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_niedersachsen_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6685
          ORDER BY r.nr, d.data_date) vaccine_id;

drop view if exists view_ratesecondvaccinerki_bremen_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_bremen_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6686
          ORDER BY r.nr, d.data_date) vaccine_id;
          
drop view if exists view_ratesecondvaccinerki_nrw_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_nrw_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6687
          ORDER BY r.nr, d.data_date) vaccine_id;
          
drop view if exists view_ratesecondvaccinerki_hessen_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_hessen_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6688
          ORDER BY r.nr, d.data_date) vaccine_id;
          
drop view if exists view_ratesecondvaccinerki_rheinlandpfalz_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_rheinlandpfalz_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6689
          ORDER BY r.nr, d.data_date) vaccine_id;
          
drop view if exists view_ratesecondvaccinerki_badenwuertemberg_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_badenwuertemberg_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6690
          ORDER BY r.nr, d.data_date) vaccine_id;
          
drop view if exists view_ratesecondvaccinerki_bayern_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_bayern_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6691
          ORDER BY r.nr, d.data_date) vaccine_id;
          
drop view if exists view_ratesecondvaccinerki_saarland_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_saarland_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6692
          ORDER BY r.nr, d.data_date) vaccine_id;
          
drop view if exists view_ratesecondvaccinerki_berlin_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_berlin_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6693
          ORDER BY r.nr, d.data_date) vaccine_id;
          
drop view if exists view_ratesecondvaccinerki_brandenburg_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_brandenburg_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6694
          ORDER BY r.nr, d.data_date) vaccine_id;
          
drop view if exists view_ratesecondvaccinerki_mv_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_mv_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6695
          ORDER BY r.nr, d.data_date) vaccine_id;        
          
 drop view if exists view_ratesecondvaccinerki_sachsen_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_sachsen_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6696
          ORDER BY r.nr, d.data_date) vaccine_id;
          
drop view if exists view_ratesecondvaccinerki_sachsenanhalt_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_sachsenanhalt_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6697
          ORDER BY r.nr, d.data_date) vaccine_id;
          
drop view if exists view_ratesecondvaccinerki_thueringen_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_thueringen_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN mapping_regions mr ON r.id = mr.fromregion_id
          WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6698
          ORDER BY r.nr, d.data_date) vaccine_id;
          
drop view if exists view_ratesecondvaccinerki_allkreise_weekly_cumsum;
CREATE view view_ratesecondvaccinerki_allkreise_weekly_cumsum AS 
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             JOIN region_types rt on rt.id = r.region_type_id 
          WHERE tt.timeperiod_type like 'Weekly' AND dt.datavalues_type like 'second_vaccinated' AND rt.id = 7
          ORDER BY r.nr, d.data_date) vaccine_id;