drop view if exists view_Chemnitz_thirdVaccinated_1859_daily;
create view view_Chemnitz_thirdVaccinated_1859_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated_1859' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Chemnitz'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Erzgebirgskreis_thirdVaccinated_1859_daily;
create view view_Erzgebirgskreis_thirdVaccinated_1859_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated_1859' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Erzgebirgskreis'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Mittelsachsen_thirdVaccinated_1859_daily;
create view view_Mittelsachsen_thirdVaccinated_1859_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated_1859' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Mittelsachsen'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Vogtlandkreis_thirdVaccinated_1859_daily;
create view view_Vogtlandkreis_thirdVaccinated_1859_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated_1859' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Vogtlandkreis'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Zwickau_thirdVaccinated_1859_daily;
create view view_Zwickau_thirdVaccinated_1859_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated_1859' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Zwickau'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Dresden_thirdVaccinated_1859_daily;
create view view_Dresden_thirdVaccinated_1859_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated_1859' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Dresden'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Bautzen_thirdVaccinated_1859_daily;
create view view_Bautzen_thirdVaccinated_1859_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated_1859' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Bautzen'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Goerlitz_thirdVaccinated_1859_daily;
create view view_Goerlitz_thirdVaccinated_1859_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated_1859' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Grlitz'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Meissen_thirdVaccinated_1859_daily;
create view view_Meissen_thirdVaccinated_1859_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated_1859' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Meien'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_SaechsischeSchweizOsterzgebirge_thirdVaccinated_1859_daily;
create view view_SaechsischeSchweizOsterzgebirge_thirdVaccinated_1859_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated_1859' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Schsische Schweiz-Osterzgebirge'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Leipzig_thirdVaccinated_1859_daily;
create view view_Leipzig_thirdVaccinated_1859_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated_1859' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Leipzig'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_LandkreisLeipzig_thirdVaccinated_1859_daily;
create view view_LandkreisLeipzig_thirdVaccinated_1859_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated_1859' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'LandkreisLeipzig'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Nordsachsen_thirdVaccinated_1859_daily;
create view view_Nordsachsen_thirdVaccinated_1859_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated_1859' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Nordsachsen'
		and d.time_period like 'Daily'
		order by data_date;


