drop view if exists view_Chemnitz_thirdVaccinated_daily;
create view view_Chemnitz_thirdVaccinated_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Chemnitz%'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Erzgebirgskreis_thirdVaccinated_daily;
create view view_Erzgebirgskreis_thirdVaccinated_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Erzgebirgskreis%'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Mittelsachsen_thirdVaccinated_daily;
create view view_Mittelsachsen_thirdVaccinated_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Mittelsachsen%'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Vogtlandkreis_thirdVaccinated_daily;
create view view_Vogtlandkreis_thirdVaccinated_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Vogtlandkreis%'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Zwickau_thirdVaccinated_daily;
create view view_Zwickau_thirdVaccinated_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Zwickau%'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Dresden_thirdVaccinated_daily;
create view view_Dresden_thirdVaccinated_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Dresden%'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Bautzen_thirdVaccinated_daily;
create view view_Bautzen_thirdVaccinated_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Bautzen%'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Goerlitz_thirdVaccinated_daily;
create view view_Goerlitz_thirdVaccinated_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Grlitz%'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Meissen_thirdVaccinated_daily;
create view view_Meissen_thirdVaccinated_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Meien%'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_SaechsischeSchweizOsterzgebirge_thirdVaccinated_daily;
create view view_SaechsischeSchweizOsterzgebirge_thirdVaccinated_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Schsische Schweiz-Osterzgebirge%'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Leipzig_thirdVaccinated_daily;
create view view_Leipzig_thirdVaccinated_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Leipzig'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_LandkreisLeipzig_thirdVaccinated_daily;
create view view_LandkreisLeipzig_thirdVaccinated_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Landkreis Leipzig'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_Nordsachsen_thirdVaccinated_daily;
create view view_Nordsachsen_thirdVaccinated_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'third_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Nordsachsen%'
		and d.time_period like 'Daily'
		order by data_date;

drop view if exists view_allbundesland_cumsumthirdVaccinated_weekly;
create view view_allbundesland_cumsumthirdVaccinated_weekly as
SELECT vaccine_id.region,
    vaccine_id.date,
    sum(rate_vaccine) over (partition by vaccine_id.region order by vaccine_id.id) as cumsum_ratevaccine
	from 
	(select row_number() over (order by r.nr, d.data_date) as id, 
			case 
				when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer) as varchar) 
				else right(r.nr, 5) 
				end as region, 
		   d.data_date as "date",
		   d.cases / cast(r.population as decimal) as rate_vaccine 
           FROM datavalues d
             JOIN datavalues_types dt ON d.datavalue_type_id = dt.id
             JOIN timeperiod_types tt ON d.timeperiod_type_id = tt.id
             JOIN regions r ON d.region_id = r.id
             join region_types rt on rt.id = r.region_type_id 
          WHERE tt.timeperiod_type like 'Weekly' AND dt.datavalues_type like 'third_vaccinated' AND rt.id = 8
          ORDER BY r.nr, d.data_date) vaccine_id;