drop view if exists view_secondvaccine_dolnoslaski_weekly cascade;
create view view_secondvaccine_dolnoslaski_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases,
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34813
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;

drop view if exists view_secondvaccine_kujawskoPomorskie_weekly cascade;
create view view_secondvaccine_kujawskoPomorskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34814 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
	
drop view if exists view_secondvaccine_lubelskie_weekly cascade;
create view view_secondvaccine_lubelskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34815 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;

drop view if exists view_secondvaccine_lubuskie_weekly cascade;
create view view_secondvaccine_lubuskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34816 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;

drop view if exists view_secondvaccine_lodzkie_weekly cascade;
create view view_secondvaccine_lodzkie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34817 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;

drop view if exists view_secondvaccine_malopolskie_weekly cascade;
create view view_secondvaccine_malopolskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34818 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;

drop view if exists view_secondvaccine_mazowiecki_weekly cascade;
create view view_secondvaccine_mazowiecki_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34819 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_secondvaccine_opolskie_weekly cascade;
create view view_secondvaccine_opolskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34820 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;		
	
drop view if exists view_secondvaccine_podkarpackie_weekly cascade;
create view view_secondvaccine_podkarpackie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34821 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_secondvaccine_podlaskie_weekly cascade;
create view view_secondvaccine_podlaskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34822 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_secondvaccine_pomorskie_weekly cascade;
create view view_secondvaccine_pomorskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34823 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_secondvaccine_slaski_weekly cascade;
create view view_secondvaccine_slaski_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34824 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_secondvaccine_swietokrzyski_weekly cascade;
create view view_secondvaccine_swietokrzyski_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34825 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_secondvaccine_warminskomazurskie_weekly cascade;
create view view_secondvaccine_warminskomazurskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34826 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_secondvaccine_wielkopolskie_weekly cascade;
create view view_secondvaccine_wielkopolskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34827 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;
		
drop view if exists view_secondvaccine_zachodniopomorskie_weekly cascade;
create view view_secondvaccine_zachodniopomorskie_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 4) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases, 
	   d.cases / cast(r.population as decimal) as rate_vaccine, 
	   r.population as population
	from datavalues_poland d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id
	join mapping_regions mr on r.id = mr.fromregion_id 
	where 
		tt.timeperiod_type like 'Weekly' 
		and mr.mapping_type_id =20 
		and dt.datavalues_type like 'second_vaccinated_poland' 
		and mr.toregion_id = 34828 
		and d.data_date != DATE '2023-01-01'
		order by r.nr, d.data_date;