-- drop view if exists view_Dresden_infected_daily cascade;
-- create view view_Dresden_infected_daily as
select 
	d.id as ID,
	r.full_name as name_kreis, 
	rt.region_type as region_type_test,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like 'Okres'
		and d.time_period like 'Daily'
		order by data_date;

delete from datavalues_czech d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like 'Okres'
		and d.time_period like 'Daily';
		order by data_date;

select count(*) from datavalues_czech dc where region_id = 72 and timeperiod_type_id = 20 and datavalue_type_id = 24;
delete from datavalues_czech dc where region_id = 72 and timeperiod_type_id = 20 and datavalue_type_id = 24;

delete from regions r where r.region_type_id = 9 and id = 35114; 

select --case 
			--when LENGTH(r.nr) = 4 then right(r.nr, 2) 
			--else right(r.nr, 5) 
			--end 
			r.nr as region, 
	   d.data_date as "date", 
	   d.cases as vaccine,
	   r.full_name as "name"
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where rt.region_type like '' and tt.timeperiod_type like 'Weekly'
	order by r.nr, d.data_date ;

select case 
			when LENGTH(r.nr) = 4 then right(r.nr, 2) 
			else right(r.nr, 5) 
			end as region, 
	   d.data_date as "date",
	   d.cases as vaccine,
	   r.population as population,
	   d.cases / cast(r.population as decimal) as rate_vaccine,
	   r.full_name as "name",
	   dt.datavalues_type as data_type
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id  
	inner join mapping_regions mr on mr.fromregion_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where tt.timeperiod_type like 'Weekly' and dt.datavalues_type like 'second_vaccinated' and rt.region_type like 'Kreis' and mr.toregion_id = 6639
	order by r.nr, d.data_date ;

select --case 
			--when LENGTH(r.nr) = 4 then right(r.nr, 2) 
			--else right(r.nr, 5) 
			--end 
			r.nr as region, 
	   d.data_date as "date",
	   d.cases as vaccine,
	   r.population as population,
	   d.cases / cast(r.population as decimal) as rate_vaccine,
	   r.full_name as "name",
	   dt.datavalues_type as data_type
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id  
	inner join mapping_regions mr on mr.fromregion_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where tt.timeperiod_type like 'Daily' and dt.datavalues_type like 'second_vaccinated' and rt.region_type like 'Kreis' and mr.toregion_id = 6639
	order by r.nr, d.data_date ;

select count(*) from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where (rt.region_type like 'Kreis' or rt.region_type like 'Bundesland') and dt.datavalues_type like 'infected' and tt.timeperiod_type like 'Weekly';
	order by r.nr;
		
select sum(second_vaccinated) from view_dresden_secondvaccinated_daily vdsd;
select * from view_dresden_secondvaccinated_daily vdsd;

select full_name, r.nr, rt.region_type, vmgtk.kreis_name, vmktb.bundesland_name from regions r 
	inner join region_types rt on r.region_type_id = rt.id 
	inner join view_mapping_gemeinde_to_kreis vmgtk on r.nr like vmgtk.gemeinde_nr
	inner join view_mapping_kreis_to_bundesland vmktb on vmgtk.kreis_nr like vmktb.kreis_nr
	where vmktb.bundesland_nr like 'D 14';

select * from view_mapping_gemeinde_to_kreis vmgtk;

select 
	d.id as ID,
	r.full_name as name_kreis, 
	rt.region_type as region_type_test,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	dt.datavalues_type as type_value,
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like 'Gemeinde'
		and d.time_period like 'Weekly'
		and r.full_name like 'Rackwitz'
		order by data_date;

drop view if exists view_omicron_sachsen_weekly cascade;
create view view_omicron_sachsen_weekly as
select 
	r.nr as region,
	d.data_date as date_input, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_omicron' 
		and rt.region_type like 'Bundesland'
		and d.time_period like 'Weekly'
		and r.full_name like 'Sachsen (SN)'
		order by data_date;	
	
drop view if exists view_alpha_sachsen_weekly cascade;
create view view_alpha_sachsen_weekly as
select 
	r.nr as region,
	d.data_date as date_input, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_alpha' 
		and rt.region_type like 'Bundesland'
		and d.time_period like 'Weekly'
		and r.full_name like 'Sachsen (SN)'
		order by data_date;
	
drop view if exists view_beta_sachsen_weekly cascade;
create view view_beta_sachsen_weekly as
select 
	r.nr as region,
	d.data_date as date_input, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_beta' 
		and rt.region_type like 'Bundesland'
		and d.time_period like 'Weekly'
		and r.full_name like 'Sachsen (SN)'
		order by data_date;
	
drop view if exists view_delta_sachsen_weekly cascade;
create view view_delta_sachsen_weekly as
select 
	r.nr as region,
	d.data_date as date_input, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_delta' 
		and rt.region_type like 'Bundesland'
		and d.time_period like 'Weekly'
		and r.full_name like 'Sachsen (SN)'
		order by data_date;
	
drop view if exists view_typeCovid19_sachsen_weekly cascade;
create view view_typeCovid19_sachsen_weekly as
	select 
		vasw.region as region,
		vasw.date_input as "date",
		vasw.infected as alpha,
		vbsw.infected as beta,
		vdsw.infected as delta,
		vosw.infected as omicron,
		vosw.population as population
		from 
		view_alpha_sachsen_weekly vasw 
		inner join view_beta_sachsen_weekly vbsw on vasw.date_input = vbsw.date_input
		inner join view_delta_sachsen_weekly vdsw on vbsw.date_input = vdsw.date_input
		inner join view_omicron_sachsen_weekly vosw on vdsw.date_input = vosw.date_input
		order by vasw.date_input;

delete from datavalues d where 
		d.datavalue_type_id = 25
		and rt.region_type like 'Gemeinde'
		and d.time_period like 'Daily';
--for Justin

drop view if exists view_infectedvaccinerateRKI_allkreise_weekly cascade;
create view view_infectedvaccinerateRKI_allkreise_weekly as
	select 
	viaw.region as region,
	viaw."date" as "date",
	viaw.cases as cases,
	viaw.population as population,
	vrawc.cumsum_ratevaccine as cumsum_ratevaccine
	from view_infectedrki_allkreise_weekly viaw 
	inner join view_ratesecondvaccinerki_allkreise_weekly_cumsum vrawc 
		on (vrawc.region like viaw.region and vrawc."date" = viaw."date");

drop view if exists view_infectedvaccinerateRKI_allbundesland_weekly cascade;
create view view_infectedvaccinerateRKI_allbundesland_weekly as
	select 
	viaw.region as region,
	viaw."date" as "date",
	viaw.cases as cases,
	viaw.population as population,
	vasw.cumsum_ratevaccine as cumsum_ratevaccine
	from view_infectedrki_allbundesland_weekly viaw 
	inner join view_allbundesland_secondvaccinated_weekly vasw
		on (vasw.region like viaw.region and vasw."date" = viaw."date");
	
drop view if exists view_infectedcumsumvaccinerate23RKI_allbundesland_weekly cascade;
create view view_infectedcumsumvaccinerate23RKI_allbundesland_weekly as
	select 
	viaw.region as region,
	viaw."date" as "date",
	viaw.cases as cases,
	viaw.population as population,
	vasw.cumsum_ratevaccine as cumsum_2ndratevaccine,
	vacw.cumsum_ratevaccine as cumsum_3rdratevaccine
	from view_infectedrki_allbundesland_weekly viaw 
	inner join view_allbundesland_secondvaccinated_weekly vasw
		on (vasw.region like viaw.region and vasw."date" = viaw."date")
	inner join view_allbundesland_cumsumthirdvaccinated_weekly vacw 
		on (vacw.region like vasw.region and vacw."date" = vasw."date");

select 
	vasw.region as region,
	vasw."date" as "date",
	vasw.cumsum_ratevaccine as ratevaccine
	from view_allbundesland_secondvaccinated_weekly vasw;
	
select * from view_allbundesland_secondvaccinated_weekly;
select * from view_ratesecondvaccinerki_allkreise_weekly_cumsum vrawc;

--create view view_vaccination_rate_rki_sachsen_germany_weekly as
select case 
			when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
			else right(r.nr, 5) 
			end as region, 
	   d.data_date as "date",
	   d.cases as vaccine
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id  
	JOIN mapping_regions mr ON r.id = mr.fromregion_id
	WHERE tt.timeperiod_type like 'Weekly' AND mr.mapping_type_id = 18 AND dt.datavalues_type like 'second_vaccinated' AND mr.toregion_id = 6667
          ORDER BY r.nr, d.data_date;
          
select 
	r.nr as region,
	d.data_date as date_input, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_omicron' 
		and rt.region_type like 'Bundesland'
		and d.time_period like 'Weekly'
		and r.full_name not like 'Sachsen (SN)'
		order by data_date, region;