-- drop view view_dresden_sachsen_firstvaccinatedcase_daily;
create view view_dresden_sachsen_firstvaccinatedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as first_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like '%first_vaccinated%' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Dresden%'
		and d.time_period like 'Daily'
		order by data_date;
		
-- select sum(first_vaccinated) from view_dresden_sachsen_firstvaccinatedcase_daily vdsfd; 
-- select * from view_dresden_sachsen_firstvaccinatedcase_daily vdsfd; 

select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as first_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like '%first_vaccinated%' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Chemnitz%'
		and d.time_period like 'Daily'
		order by data_date;

select kreis_name from view_mapping_kreis_to_bundesland vmktb where bundesland_name like 'Sachsen (SN)';

select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like '%third_vaccinated%' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Chemnitz%'
		and d.time_period like 'Daily'
		order by data_date;


-- drop view view_dresden_sachsen_secondvaccinatedcase_daily;
create view view_dresden_sachsen_secondvaccinatedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like '%second_vaccinated%' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Dresden%'
		and d.time_period like 'Daily'
		order by data_date;

select sum(second_vaccinated) from view_dresden_sachsen_secondvaccinatedcase_daily vdssd; 
select * from view_dresden_sachsen_secondvaccinatedcase_daily vdssd; 


drop view view_bremen_secondvaccinatedcase_daily;
create view view_bremen_secondvaccinatedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'second_vaccinated' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Bremen'
		and d.time_period like 'Daily'
		order by data_date;

select sum(second_vaccinated) from view_bremen_secondvaccinatedcase_daily; 
select * from view_bremen_secondvaccinatedcase_daily; 

select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as third_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		--dt.datavalues_type like 'third_vaccinated_1859' 
		rt.region_type like '%Gemeinde%'
		--and r.full_name like 'Chemnitz'
		and d.time_period like 'Daily';
		order by data_date;

delete from regions where nr like 'D null';

select 
	r.full_name as name_kreis,
	r.nr as nr_kreis,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as second_vaccinated, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like '%infected%' 
		and rt.region_type like '%Kreis%'
		--and r.full_name like '%Berlin%'
		and d.time_period like 'Daily'
		order by data_date;

select 
	r.full_name as name_country,
	r.nr as nr_country,
	dt.datavalues_type as value_type,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Sachsen (SN)'
		and d.time_period like 'Weekly'
		order by data_date;
	
select 
	r.full_name as name_country,
	r.nr as nr_country,
	dt.datavalues_type as value_type,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized' 
		and r.full_name like 'Sachsen (SN)'
		and d.time_period like 'Weekly'
		order by data_date;
	
select count(*) from datavalues d2 where time_period like 'Weekly' and datavalue_type_id > 42; 
select * from datavalues d2 where time_period like 'Weekly' and datavalue_type_id = 24 and region_id = 2352864 order by data_date;
delete from datavalues d2 where time_period like 'Weekly' and datavalue_type_id > 42;
delete from datavalues d2 where time_period like 'Weekly' and datavalue_type_id = 25 and region_id = 2352864;

select count(*) from datavalues d;
select count(*) from mapping_regions mr ;
	
