drop view if exists view_Dresden_infected_lab_daily cascade;
create view view_Dresden_infected_lab_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_lab' 
		and d.time_period like 'Daily'
		order by data_date;
		
drop view if exists view_Dresden_infected_hospitalized_daily cascade;
create view view_Dresden_infected_hospitalized_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized' 
		and d.time_period like 'Daily'
		order by data_date;
	
drop view if exists view_Dresden_dead_hospital_daily cascade;
create view view_Dresden_dead_hospital_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as dead, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'dead_hospitalized' 
		and d.time_period like 'Daily'
		order by data_date;
	
drop view if exists view_Dresden_recovered_hospital_daily cascade;
create view view_Dresden_recovered_hospital_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as recovered, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'recovered_hospitalized' 
		and d.time_period like 'Daily'
		order by data_date;
