drop view if exists view_sachsen_infectedcase_daily cascade;
create view view_sachsen_infectedcase_daily as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and r.full_name like 'Sachsen (SN)' 
		and d.time_period like 'Daily'
		order by data_date;
	

drop view if exists view_sachsen_infectedcase_weekly cascade;
create view view_sachsen_infectedcase_weekly as
select 
	r.full_name as name_bundesland, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and r.full_name like 'Sachsen (SN)' 
		and d.time_period like 'Weekly'
		order by data_date;
	

 drop view if exists view_dresden_sachsen_infectedcase_daily cascade;
create view view_dresden_sachsen_infectedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Dresden%'
		and d.time_period like 'Daily'
		order by data_date;

 drop view if exists view_chemnitz_sachsen_infectedcase_daily cascade;
create view view_chemnitz_sachsen_infectedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Chemnitz%'
		and d.time_period like 'Daily'
		order by data_date;

 drop view if exists view_erzgebirgskreis_sachsen_infectedcase_daily cascade;
create view view_erzgebirgskreis_sachsen_infectedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Erzgebirgskreis%'
		and d.time_period like 'Daily'
		order by data_date;
	
 drop view if exists view_mittelsachsen_sachsen_infectedcase_daily cascade;
create view view_mittelsachsen_sachsen_infectedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Mittelsachsen%'
		and d.time_period like 'Daily'
		order by data_date;

 drop view if exists view_vogtlandkreis_sachsen_infectedcase_daily cascade;
create view view_vogtlandkreis_sachsen_infectedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Vogtlandkreis%'
		and d.time_period like 'Daily'
		order by data_date;
	
 drop view if exists view_zwickau_sachsen_infectedcase_daily cascade;
create view view_zwickau_sachsen_infectedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Zwickau%'
		and d.time_period like 'Daily'
		order by data_date;

 drop view if exists view_bautzen_sachsen_infectedcase_daily cascade;
create view view_bautzen_sachsen_infectedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Bautzen%'
		and d.time_period like 'Daily'
		order by data_date;
	
 drop view if exists view_goerlitz_sachsen_infectedcase_daily cascade;
create view view_goerlitz_sachsen_infectedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%G�rlitz%'
		and d.time_period like 'Daily'
		order by data_date;

 drop view if exists view_meissen_sachsen_infectedcase_daily cascade;
create view view_meissen_sachsen_infectedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Mei�en%'
		and d.time_period like 'Daily'
		order by data_date;

 drop view if exists view_saechsischeSchweizOsterzgebirge_sachsen_infectedcase_daily cascade;
create view view_saechsischeSchweizOsterzgebirge_sachsen_infectedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%S�chsische Schweiz-Osterzgebirge%'
		and d.time_period like 'Daily'
		order by data_date;

 drop view if exists view_leipzig_sachsen_infectedcase_daily cascade;
create view view_leipzig_sachsen_infectedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Leipzig'
		and d.time_period like 'Daily'
		order by data_date;

 drop view if exists view_landkreisleipzig_sachsen_infectedcase_daily cascade;
create view view_landkreisleipzig_sachsen_infectedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Landkreis Leipzig'
		and d.time_period like 'Daily'
		order by data_date;
	
 drop view if exists view_nordsachsen_sachsen_infectedcase_daily cascade;
create view view_nordsachsen_sachsen_infectedcase_daily as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Nordsachsen'
		and d.time_period like 'Daily'
		order by data_date;
		
 drop view if exists view_dresden_sachsen_infectedcase_weekly cascade;
create view view_dresden_sachsen_infectedcase_weekly as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population,
	tt.timeperiod_type 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Dresden%'
		and d.time_period like 'Weekly'
		order by data_date;

 drop view if exists view_chemnitz_sachsen_infectedcase_weekly cascade;
create view view_chemnitz_sachsen_infectedcase_weekly as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Chemnitz%'
		and d.time_period like 'Weekly'
		order by data_date;

 drop view if exists view_erzgebirgskreis_sachsen_infectedcase_weekly cascade;
create view view_erzgebirgskreis_sachsen_infectedcase_weekly as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Erzgebirgskreis%'
		and d.time_period like 'Weekly'
		order by data_date;
	
 drop view if exists view_mittelsachsen_sachsen_infectedcase_weekly cascade;
create view view_mittelsachsen_sachsen_infectedcase_weekly as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Mittelsachsen%'
		and d.time_period like 'Weekly'
		order by data_date;

 drop view if exists view_vogtlandkreis_sachsen_infectedcase_weekly cascade;
create view view_vogtlandkreis_sachsen_infectedcase_weekly as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Vogtlandkreis%'
		and d.time_period like 'Weekly'
		order by data_date;
	
 drop view if exists view_zwickau_sachsen_infectedcase_weekly cascade;
create view view_zwickau_sachsen_infectedcase_weekly as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Zwickau%'
		and d.time_period like 'Weekly'
		order by data_date;

 drop view if exists view_bautzen_sachsen_infectedcase_weekly cascade;
create view view_bautzen_sachsen_infectedcase_weekly as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Bautzen%'
		and d.time_period like 'Weekly'
		order by data_date;
	
 drop view if exists view_goerlitz_sachsen_infectedcase_weekly cascade;
create view view_goerlitz_sachsen_infectedcase_weekly as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%G�rlitz%'
		and d.time_period like 'Weekly'
		order by data_date;

 drop view if exists view_meissen_sachsen_infectedcase_weekly cascade;
create view view_meissen_sachsen_infectedcase_weekly as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%Mei�en%'
		and d.time_period like 'Weekly'
		order by data_date;

 drop view if exists view_saechsischeSchweizOsterzgebirge_sachsen_infectedcase_weekly cascade;
create view view_saechsischeSchweizOsterzgebirge_sachsen_infectedcase_weekly as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like '%S�chsische Schweiz-Osterzgebirge%'
		and d.time_period like 'Weekly'
		order by data_date;

 drop view if exists view_leipzig_sachsen_infectedcase_weekly cascade;
create view view_leipzig_sachsen_infectedcase_weekly as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Leipzig'
		and d.time_period like 'Weekly'
		order by data_date;

 drop view if exists view_landkreisleipzig_sachsen_infectedcase_weekly cascade;
create view view_landkreisleipzig_sachsen_infectedcase_weekly as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Landkreis Leipzig'
		and d.time_period like 'Weekly'
		order by data_date;
	
 drop view if exists view_nordsachsen_sachsen_infectedcase_weekly cascade;
create view view_nordsachsen_sachsen_infectedcase_weekly as
select 
	r.full_name as name_kreis, 
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected' 
		and rt.region_type like '%Kreis%'
		and r.full_name like 'Nordsachsen'
		and d.time_period like 'Weekly'
		order by data_date;
		
drop view if exists view_casesRKI_saxony_weekly cascade;
create view view_casesRKI_saxony_weekly as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where tt.timeperiod_type like 'Weekly' 
		and (
				(
				r.id > 7050 
				and r.id < 7064 
				and dt.datavalues_type like 'infected'
				)
			or (
				r.id = 6696 
				and dt.datavalues_type like 'infected'
				)
			)
	order by r.nr, d.data_date ;

drop view if exists view_casesRKI_saxony_daily cascade;
create view view_casesRKI_saxony_daily as
select case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region, 
	   d.data_date as "date", 
	   d.cases as cases
	from datavalues d
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where tt.timeperiod_type like 'Daily' 
		and (
				(
				r.id > 7050 
				and r.id < 7064 
				and dt.datavalues_type like 'infected'
				)
			or (
				r.id = 6696 
				and dt.datavalues_type like 'infected'
				)
			)
	order by r.nr, d.data_date ;

/*
 drop view if exists view_allkreise_sachsen_infectedcase_daily cascade;
create view view_allkreise_sachsen_infectedcase_daily as
select 
	vbsid.date_input as date_case, 
	vbsid.infected as infected_bautzen, 
	vcsid.infected as infected_chemnitz,
	vdsid.infected as infected_dresden,
	vesid.infected as infected_erzgebirgskreis,
	vgsid.infected as infected_goerlitz,
	vllsid.infected as infected_landkreisleipzig,
	vlsid.infected as infected_leipzig,
	vmsid.infected as infected_meissen,
	vmssid.infected as infected_mittelsachsen,
	vnsid.infected as infected_nordsachsen,
	vssid.infected as infected_ssg,
	vvsid.infected as infected_vogtlandkreis,
	vzsid.infected as infected_zwickau
	from view_bautzen_sachsen_infectedcase_daily vbsid
	join view_chemnitz_sachsen_infectedcase_daily vcsid on vbsid.date_input = vcsid.date_input
	join view_dresden_sachsen_infectedcase_daily vdsid on vcsid.date_input = vdsid.date_input
	join view_erzgebirgskreis_sachsen_infectedcase_daily vesid on vesid.date_input = vdsid.date_input 
	join view_goerlitz_sachsen_infectedcase_daily vgsid on vesid.date_input = vgsid.date_input
	join view_landkreisleipzig_sachsen_infectedcase_daily vllsid on vgsid.date_input = vllsid.date_input
	join view_leipzig_sachsen_infectedcase_daily vlsid on vllsid.date_input = vlsid.date_input
	join view_meissen_sachsen_infectedcase_daily vmsid on vlsid.date_input = vmsid.date_input
	join view_mittelsachsen_sachsen_infectedcase_daily vmssid on vmsid.date_input = vmssid.date_input
	join view_nordsachsen_sachsen_infectedcase_daily vnsid on vmssid.date_input = vnsid.date_input
	join view_saechsischeschweizosterzgebirge_sachsen_infectedcase_daily vssid on vssid.date_input = vnsid.date_input
	join view_vogtlandkreis_sachsen_infectedcase_daily vvsid on vssid.date_input = vvsid.date_input
	join view_zwickau_sachsen_infectedcase_daily vzsid on vzsid.date_input = vvsid.date_input;
*/
 drop view if exists view_allkreise_sachsen_infectedcase_weekly cascade;
create view view_allkreise_sachsen_infectedcase_weekly as
select 
	vbsiw.date_input as date_case, 
	vbsiw.infected as infected_bautzen, 
	vcsiw.infected as infected_chemnitz,
	vdsiw.infected as infected_dresden,
	vesiw.infected as infected_erzgebirgskreis,
	vgsiw.infected as infected_goerlitz,
	vllsiw.infected as infected_landkreisleipzig,
	vlsiw.infected as infected_leipzig,
	vmsiw.infected as infected_meissen,
	vmssiw.infected as infected_mittelsachsen,
	vnsiw.infected as infected_nordsachsen,
	vssiw.infected as infected_ssg,
	vvsiw.infected as infected_vogtlandkreis,
	vzsiw.infected as infected_zwickau
	from view_bautzen_sachsen_infectedcase_weekly vbsiw
	join view_chemnitz_sachsen_infectedcase_weekly vcsiw on vbsiw.date_input = vcsiw.date_input
	join view_dresden_sachsen_infectedcase_weekly vdsiw on vcsiw.date_input = vdsiw.date_input
	join view_erzgebirgskreis_sachsen_infectedcase_weekly vesiw on vesiw.date_input = vdsiw.date_input 
	join view_goerlitz_sachsen_infectedcase_weekly vgsiw on vesiw.date_input = vgsiw.date_input
	join view_landkreisleipzig_sachsen_infectedcase_weekly vllsiw on vgsiw.date_input = vllsiw.date_input
	join view_leipzig_sachsen_infectedcase_weekly vlsiw on vllsiw.date_input = vlsiw.date_input
	join view_meissen_sachsen_infectedcase_weekly vmsiw on vlsiw.date_input = vmsiw.date_input
	join view_mittelsachsen_sachsen_infectedcase_weekly vmssiw on vmsiw.date_input = vmssiw.date_input
	join view_nordsachsen_sachsen_infectedcase_weekly vnsiw on vmssiw.date_input = vnsiw.date_input
	join view_saechsischeschweizosterzgebirge_sachsen_infectedcase_weekly vssiw on vssiw.date_input = vnsiw.date_input
	join view_vogtlandkreis_sachsen_infectedcase_weekly vvsiw on vssiw.date_input = vvsiw.date_input
	join view_zwickau_sachsen_infectedcase_weekly vzsiw on vzsiw.date_input = vvsiw.date_input;