-- Create View of Mapping Regions --

-- drop view view_mapping_plz_to_gemeinde;
create view view_mapping_plz_to_gemeinde as
select 
	r.nr as plz_nr, 
	r.full_name as plz_name, 
	r2.nr as gemeinde_nr, 
	r2.full_name as gemeinde_name, 
	mt.mapping_type as mapping_type 
	from mapping_regions mr 
	join regions r on mr.fromregion_id = r.id
	join region_types rt on r.region_type_id = rt.id 
	join regions r2 on mr.toregion_id = r2.id
	join region_types rt2 on r2.region_type_id = rt2.id 
	join mapping_types mt on mr.mapping_type_id = mt.id
	where mt.mapping_type like 'PLZ_To_Gemeinde';

-- drop view view_mapping_gemeinde_to_kreis
create view view_mapping_gemeinde_to_kreis as
select 
	r.nr as gemeinde_nr, 
	r.full_name as gemeinde_name, 
	r2.nr as kreis_nr, 
	r2.full_name as kreis_name, 
	mt.mapping_type as mapping_type 
	from mapping_regions mr 
	join regions r on mr.fromregion_id = r.id
	join region_types rt on r.region_type_id = rt.id 
	join regions r2 on mr.toregion_id = r2.id
	join region_types rt2 on r2.region_type_id = rt2.id 
	join mapping_types mt on mr.mapping_type_id = mt.id
	where mt.mapping_type like 'Gemeinde_To_Kreis';

-- drop view view_mapping_kreis_to_bundesland
create view view_mapping_kreis_to_bundesland as
select 
	r.nr as kreis_nr, 
	r.full_name as kreis_name, 
	r2.nr as bundesland_nr, 
	r2.full_name as bundesland_name, 
	mt.mapping_type as mapping_type 
	from mapping_regions mr 
	join regions r on mr.fromregion_id = r.id
	join region_types rt on r.region_type_id = rt.id 
	join regions r2 on mr.toregion_id = r2.id
	join region_types rt2 on r2.region_type_id = rt2.id 
	join mapping_types mt on mr.mapping_type_id = mt.id
	where mt.mapping_type like 'Kreis_To_Bundesland';

-- drop view view_mapping_obec_to_orp
create view view_mapping_obec_to_orp as
select 
	r.nr as obec_nr, 
	r.full_name as obec_name, 
	r2.nr as orp_nr, 
	r2.full_name as orp_name, 
	mt.mapping_type as mapping_type 
	from mapping_regions mr 
	join regions r on mr.fromregion_id = r.id
	join region_types rt on r.region_type_id = rt.id 
	join regions r2 on mr.toregion_id = r2.id
	join region_types rt2 on r2.region_type_id = rt2.id 
	join mapping_types mt on mr.mapping_type_id = mt.id
	where mt.mapping_type like 'Obec_To_ORP';

-- drop view view_mapping_orp_to_okres
create view view_mapping_orp_to_okres as
select 
	r.nr as orp_nr, 
	r.full_name as orp_name, 
	r2.nr as okres_nr, 
	r2.full_name as okres_name, 
	mt.mapping_type as mapping_type 
	from mapping_regions mr 
	join regions r on mr.fromregion_id = r.id
	join region_types rt on r.region_type_id = rt.id 
	join regions r2 on mr.toregion_id = r2.id
	join region_types rt2 on r2.region_type_id = rt2.id 
	join mapping_types mt on mr.mapping_type_id = mt.id
	where mt.mapping_type like 'ORP_To_Okres';

-- drop view view_mapping_okres_to_kraj
create view view_mapping_okres_to_kraj as
select 
	r.nr as okres_nr, 
	r.full_name as okres_name, 
	r2.nr as kraj_nr, 
	r2.full_name as kraj_name, 
	mt.mapping_type as mapping_type 
	from mapping_regions mr 
	join regions r on mr.fromregion_id = r.id
	join region_types rt on r.region_type_id = rt.id 
	join regions r2 on mr.toregion_id = r2.id
	join region_types rt2 on r2.region_type_id = rt2.id 
	join mapping_types mt on mr.mapping_type_id = mt.id
	where mt.mapping_type like 'Okres_To_Kraj';

-- drop view view_mapping_gminia_to_powiat
create view view_mapping_gminia_to_powiat as
select 
	r.nr as gminia_nr, 
	r.full_name as gminia_name, 
	r2.nr as powiat_nr, 
	r2.full_name as powiat_name, 
	mt.mapping_type as mapping_type 
	from mapping_regions mr 
	join regions r on mr.fromregion_id = r.id
	join region_types rt on r.region_type_id = rt.id 
	join regions r2 on mr.toregion_id = r2.id
	join region_types rt2 on r2.region_type_id = rt2.id 
	join mapping_types mt on mr.mapping_type_id = mt.id
	where mt.mapping_type like 'Gminia_To_Powiat';

-- drop view view_mapping_powiat_to_wojewodztwo
create view view_mapping_powiat_to_wojewodztwo as
select 
	r.nr as powiat_nr, 
	r.full_name as powiat_name, 
	r2.nr as wojewodztwo_nr, 
	r2.full_name as wojewodztwo_name, 
	mt.mapping_type as mapping_type 
	from mapping_regions mr 
	join regions r on mr.fromregion_id = r.id
	join region_types rt on r.region_type_id = rt.id 
	join regions r2 on mr.toregion_id = r2.id
	join region_types rt2 on r2.region_type_id = rt2.id 
	join mapping_types mt on mr.mapping_type_id = mt.id
	where mt.mapping_type like 'Powiat_To_Wojewodztwo';