drop view if exists view_Germany_infected_0004_hospitalized_weekly cascade;
create view view_Germany_infected_0004_hospitalized_weekly as
select 
	r.full_name as name_country,
	r.nr as nr_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0004' 
		and rt.region_type like '%Countries_EU%'
		and d.time_period like 'Weekly'
		order by data_date;
		
drop view if exists view_Germany_infected_0514_hospitalized_weekly cascade;
create view view_Germany_infected_0514_hospitalized_weekly as
select 
	r.full_name as name_country,
	r.nr as nr_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0514' 
		and rt.region_type like '%Countries_EU%'
		and d.time_period like 'Weekly'
		order by data_date;
		
drop view if exists view_Germany_infected_1534_hospitalized_weekly cascade;
create view view_Germany_infected_1534_hospitalized_weekly as
select 
	r.full_name as name_country,
	r.nr as nr_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_1534' 
		and rt.region_type like '%Countries_EU%'
		and d.time_period like 'Weekly'
		order by data_date;
		
drop view if exists view_Germany_infected_3559_hospitalized_weekly cascade;
create view view_Germany_infected_3559_hospitalized_weekly as
select 
	r.full_name as name_country,
	r.nr as nr_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_3559' 
		and rt.region_type like '%Countries_EU%'
		and d.time_period like 'Weekly'
		order by data_date;
		
drop view if exists view_Germany_infected_6079_hospitalized_weekly cascade;
create view view_Germany_infected_6079_hospitalized_weekly as
select 
	r.full_name as name_country,
	r.nr as nr_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_6079' 
		and rt.region_type like '%Countries_EU%'
		and d.time_period like 'Weekly'
		order by data_date;
		
drop view if exists view_Germany_infected_80plus_hospitalized_weekly cascade;
create view view_Germany_infected_80plus_hospitalized_weekly as
select 
	r.full_name as name_country,
	r.nr as nr_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_80plus' 
		and rt.region_type like '%Countries_EU%'
		and d.time_period like 'Weekly'
		order by data_date;
		
drop view if exists view_Germany_faelle_Hospitaliesirung cascade;
create view view_Germany_faelle_Hospitaliesirung as
select 
		v1.name_country as country_name,
		v1.date_input as date_input,
		v1.modified_date as modified_date,
		v1.infected as infected_0004,
		v2.infected as infected_0514,
		v3.infected as infected_1534,
		v4.infected as infected_3559,
		v5.infected as infected_6079,
		v6.infected as infected_80plus
		from view_germany_infected_0004_hospitalized_weekly v1
		inner join view_germany_infected_0514_hospitalized_weekly v2 on v1.date_input = v2.date_input
		inner join view_germany_infected_1534_hospitalized_weekly v3 on v2.date_input = v3.date_input
		inner join view_germany_infected_3559_hospitalized_weekly v4 on v3.date_input = v4.date_input 
		inner join view_germany_infected_6079_hospitalized_weekly v5 on v4.date_input = v5.date_input
		inner join view_germany_infected_80plus_hospitalized_weekly v6 on v5.date_input = v6.date_input;