drop view if exists view_SchleswigHolstein_infected_hospitalized_0plus_weekly cascade;
create view view_SchleswigHolstein_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Schleswig-Holstein (SH)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Hamburg_infected_hospitalized_0plus_weekly cascade;
create view view_Hamburg_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Hamburg (HH)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Niedersachsen_infected_hospitalized_0plus_weekly cascade;
create view view_Niedersachsen_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Niedersachsen (NI)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Bremen_infected_hospitalized_0plus_weekly cascade;
create view view_Bremen_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Bremen (HB)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_NordrheinWestfalen_infected_hospitalized_0plus_weekly cascade;
create view view_NordrheinWestfalen_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Nordrhein-Westfalen (NW)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Hessen_infected_hospitalized_0plus_weekly cascade;
create view view_Hessen_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Hessen (HE)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_RheinlandPfalz_infected_hospitalized_0plus_weekly cascade;
create view view_RheinlandPfalz_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Rheinland-Pfalz (RP)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_BadenWuerttemberg_infected_hospitalized_0plus_weekly cascade;
create view view_BadenWuerttemberg_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Baden-W�rttemberg (BW)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Bayern_infected_hospitalized_0plus_weekly cascade;
create view view_Bayern_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Bayern (BY)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Saarland_infected_hospitalized_0plus_weekly cascade;
create view view_Saarland_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Saarland (SL)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Berlin_infected_hospitalized_0plus_weekly cascade;
create view view_Berlin_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Berlin (BE)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Brandenburg_infected_hospitalized_0plus_weekly cascade;
create view view_Brandenburg_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Brandenburg (BB)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_MecklenburgVorpommern_infected_hospitalized_0plus_weekly cascade;
create view view_MecklenburgVorpommern_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Mecklenburg-Vorpommern (MV)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Sachsen_infected_hospitalized_0plus_weekly cascade;
create view view_Sachsen_infected_hospitalized_0plus_weekly AS
select 
	case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region,
	d.data_date as "date", 
	d.cases as cases 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Sachsen (SN)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_SachsenAnhalt_infected_hospitalized_0plus_weekly cascade;
create view view_SachsenAnhalt_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Sachsen-Anhalt (ST)'
		and d.time_period like 'Weekly'
		order by data_date;

drop view if exists view_Thueringen_infected_hospitalized_0plus_weekly cascade;
create view view_Thueringen_infected_hospitalized_0plus_weekly AS
select 
	r.full_name as name_country,
	d.data_date as date_input, 
	d.modified_date as modified_date, 
	d.cases as infected_hospitalized, 
	r.population as population 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where 
		dt.datavalues_type like 'infected_hospitalized_0plus' 
		and r.full_name like 'Th�ringen (TH)'
		and d.time_period like 'Weekly'
		order by data_date;


drop view if exists view_Bundesland_infected_hospitalized_weekly cascade;
create view view_Bundesland_infected_hospitalized_weekly AS
select 
	case 
		when LENGTH(r.nr) = 4 then cast(cast(right(r.nr, 2) as integer)*1000 as varchar) 
		else right(r.nr, 5) 
		end as region,
	d.data_date as "date", 
	d.cases as cases 
	from datavalues d 
	inner join datavalues_types dt on d.datavalue_type_id = dt.id
	join timeperiod_types tt on d.timeperiod_type_id = tt.id 
	join regions r on d.region_id = r.id 
	join region_types rt on r.region_type_id = rt.id
	where tt.timeperiod_type like 'Weekly' 
		and 
			 (
				rt.region_type like 'Bundesland'
				and dt.datavalues_type like 'infected_hospitalized_0plus'
				)
	order by r.nr, d.data_date; 