import pandas as pd
import os.path
from datetime import date, timedelta

def daterange(start_date, end_date):
    for index in range(int((end_date - start_date).days)):
        yield start_date + timedelta(index)

PATH_IN_FOLDER = 'C:/Workspaces/com.casus.env.where2test.migration/COM_CASUS_WHERE2TEST_MIGRATION/src/data/2_Zwischenstaende/cases/vaccinePoland/danehistoryczne_szczepienia/'
PATH_OUT_FOLDER = 'C:/Workspaces/com.casus.env.where2test.migration/COM_CASUS_WHERE2TEST_MIGRATION/src/data/2_Zwischenstaende/cases/vaccinePoland'
OUTFILE = 'vaccinePowiatPoland.csv'

OUT_PATH = PATH_OUT_FOLDER + OUTFILE 

if __name__ == '__main__':
    start_date = date(2021, 1, 13)
    end_date = date(2021, 11, 25)
    with open(OUT_PATH, 'w', encoding="utf8") as outfile:
        outfile.write('data;wojewodztwo;powiat_miasto;liczba_szczepien_ogolem;liczba_szczepien_dziennie;dawka_2_ogolem;dawka_2_dziennie;teryt\n')
        for single_date in daterange(start_date, end_date):
            FILE_NAME = single_date.strftime("%Y%m%d_rap_rcb_pow_szczepienia.csv")
            FULL_PATH = PATH_IN_FOLDER + FILE_NAME
            if os.path.isfile(FULL_PATH):
                df = pd.read_csv(FULL_PATH, sep=";", encoding="utf8")
                for index in range(0, len(df['wojewodztwo'])):
                    outfile.write(single_date.strftime("%Y-%m-%d;"))
                    outfile.write(df['wojewodztwo'][index])
                    outfile.write(";")
                    outfile.write(str(df['powiat_miasto'][index]))
                    outfile.write(";")
                    outfile.write(str(df['liczba_szczepien_ogolem'][index]))
                    outfile.write(";")
                    outfile.write(str(df['liczba_szczepien_dziennie'][index]))
                    outfile.write(";")
                    outfile.write(str(df['dawka_2_ogolem'][index]))
                    outfile.write(";")
                    outfile.write(str(df['dawka_2_dziennie'][index]))
                    outfile.write(";")
                    outfile.write(df['teryt'][index])
                    outfile.write("\n")
    outfile.close()