-- DROP VIEW VIEW_KRAJ_CZECH IF EXISTS;
CREATE VIEW view_countries_eu AS  
SELECT 
	OBJECT_SOURCE_ID AS Name, 				--string 
	SOURCE_NAME AS Nr,						--string
	OBJECT_TYPE_NAME AS Region_type, 		--string
	OBJECT_ENTITY_ID AS Population			--string
	FROM META_GENERIC_OBJECTS mgo
	WHERE OBJECT_TYPE_NAME LIKE 'Countries_EU';

-- DROP VIEW VIEW_KRAJ_CZECH IF EXISTS;
CREATE VIEW view_kraj_czech AS  
SELECT 
	OBJECT_SOURCE_ID AS Name, 				--string 
	SOURCE_NAME AS Nr,						--string
	OBJECT_TYPE_NAME AS Region_type, 		--string
	OBJECT_ENTITY_ID AS Population			--string
	FROM META_GENERIC_OBJECTS mgo
	WHERE OBJECT_TYPE_NAME LIKE 'Kraj';
	

-- DROP VIEW VIEW_OKRES_CZECH IF EXISTS;
CREATE VIEW view_okres_czech AS  
SELECT 
	OBJECT_SOURCE_ID AS Name, 				--string 
	SOURCE_NAME AS Nr,						--string
	OBJECT_TYPE_NAME AS Region_type, 		--string
	SOURCE_GENERATOR AS Mapped_Nr, 			--string
	OBJECT_ENTITY_ID AS Population			--string
	FROM META_GENERIC_OBJECTS mgo
	WHERE OBJECT_TYPE_NAME LIKE 'Okres';
	
-- DROP VIEW VIEW_ORP_CZECH IF EXISTS;
CREATE VIEW view_orp_czech AS
SELECT 
	OBJECT_SOURCE_ID AS Name, 				--string 
	SOURCE_NAME AS Nr,						--string
	OBJECT_TYPE_NAME AS Region_type, 		--string
	SOURCE_GENERATOR AS Mapped_Nr, 			--string
	OBJECT_ENTITY_ID AS Population			--string
	FROM META_GENERIC_OBJECTS mgo
	WHERE OBJECT_TYPE_NAME LIKE 'ORP';

-- DROP VIEW VIEW_OBEC_CZECH IF EXISTS;
CREATE VIEW view_obec_czech AS
SELECT 
	OBJECT_SOURCE_ID AS Name, 				--string 
	SOURCE_NAME AS Nr,						--string
	OBJECT_TYPE_NAME AS Region_type, 		--string
	SOURCE_GENERATOR AS Mapped_Nr, 			--string
	OBJECT_ENTITY_ID AS Population			--string
	FROM META_GENERIC_OBJECTS mgo
	WHERE OBJECT_TYPE_NAME LIKE 'Obec';

-- DROP VIEW VIEW_BUNDESLAND_GERMANY IF EXISTS;
CREATE VIEW view_bundesland_germany AS
SELECT 
	OBJECT_SOURCE_ID AS Name, 				--string 
	SOURCE_NAME AS Nr,						--string
	OBJECT_TYPE_NAME AS Region_type, 		--string
	SOURCE_GENERATOR AS Mapped_Nr, 			--string
	OBJECT_ENTITY_ID AS Population			--string
	FROM META_GENERIC_OBJECTS mgo
	WHERE OBJECT_TYPE_NAME LIKE 'Bundesland';

-- DROP VIEW VIEW_KREIS_GERMANY IF EXISTS;
CREATE VIEW view_kreis_germany AS
SELECT 
	OBJECT_SOURCE_ID AS Name, 				--string 
	SOURCE_NAME AS Nr,						--string
	OBJECT_TYPE_NAME AS Region_type, 		--string
	SOURCE_GENERATOR AS Mapped_Nr, 			--string
	OBJECT_ENTITY_ID AS Population			--string
	FROM META_GENERIC_OBJECTS mgo
	WHERE OBJECT_TYPE_NAME LIKE 'Kreis';

-- DROP VIEW VIEW_GEMEINDE_GERMANY IF EXISTS;
CREATE VIEW view_gemeinde_germany AS
SELECT 
	OBJECT_SOURCE_ID AS Name, 				--string 
	SOURCE_NAME AS Nr,						--string
	OBJECT_TYPE_NAME AS Region_type, 		--string
	SOURCE_GENERATOR AS Mapped_Nr, 			--string
	OBJECT_ENTITY_ID AS Population			--string
	FROM META_GENERIC_OBJECTS mgo
	WHERE OBJECT_TYPE_NAME LIKE 'Gemeinde';

-- DROP VIEW VIEW_PLZ_GERMANY IF EXISTS;
CREATE VIEW view_plz_germany AS
SELECT 
	OBJECT_SOURCE_ID AS Name, 				--string 
	SOURCE_NAME AS Nr,						--string
	OBJECT_TYPE_NAME AS Region_type, 		--string
	SOURCE_GENERATOR AS Mapped_Nr 			--string
	FROM META_GENERIC_OBJECTS mgo
	WHERE OBJECT_TYPE_NAME LIKE 'PLZ';

-- DROP VIEW VIEW_WOJEWODZTWO_POLAND IF EXISTS;
CREATE VIEW view_wojewodztwo_poland AS
SELECT 
	OBJECT_SOURCE_ID AS Name, 				--string 
	SOURCE_NAME AS Nr,						--string
	OBJECT_TYPE_NAME AS Region_type, 		--string
	SOURCE_GENERATOR AS Mapped_Nr, 			--string
	OBJECT_ENTITY_ID AS Population			--string
	FROM META_GENERIC_OBJECTS mgo
	WHERE OBJECT_TYPE_NAME LIKE 'Wojewodztwo';

-- DROP VIEW VIEW_POWIAT_POLAND IF EXISTS;
CREATE VIEW view_powiat_poland AS
SELECT 
	OBJECT_SOURCE_ID AS Name, 				--string 
	SOURCE_NAME AS Nr,						--string
	OBJECT_TYPE_NAME AS Region_type, 		--string
	SOURCE_GENERATOR AS Mapped_Nr, 			--string
	OBJECT_ENTITY_ID AS Population			--string
	FROM META_GENERIC_OBJECTS mgo
	WHERE OBJECT_TYPE_NAME LIKE 'Powiat';

-- DROP VIEW VIEW_GMINIA_POLAND IF EXISTS;
CREATE VIEW view_gminia_poland AS
SELECT 
	OBJECT_SOURCE_ID AS Name, 				--string 
	SOURCE_NAME AS Nr,						--string
	OBJECT_TYPE_NAME AS Region_type, 		--string
	SOURCE_GENERATOR AS Mapped_Nr, 			--string
	OBJECT_ENTITY_ID AS Population			--string
	FROM META_GENERIC_OBJECTS mgo
	WHERE OBJECT_TYPE_NAME LIKE 'Gminia';

-- DROP VIEW view_mapping_kreis_to_bundesland_germany IF EXISTS;
CREATE VIEW view_mapping_kreis_to_bundesland_germany AS
SELECT 
	VKG.NAME AS Kreis_Name,
	VKG.NR AS Kreis_Nr,
	VBG.NAME AS Bundesland_Name,
	VBG.NR AS Bundesland_Nr
	FROM VIEW_KREIS_GERMANY VKG 
	INNER JOIN VIEW_BUNDESLAND_GERMANY VBG ON VKG.MAPPED_NR = VBG.NR;

-- DROP VIEW VIEW_MAPPING_GEMEINDE_TO_KREIS_GERMANY; 
CREATE VIEW view_mapping_gemeinde_to_kreis_germany AS 
SELECT 
	VGG.NAME AS Gemeinde_Name,
	VGG.NR AS Gemeinde_Nr,
	VKG.NAME AS Kreis_Name,
	VKG.NR AS Kreis_Nr
	FROM VIEW_GEMEINDE_GERMANY VGG
	INNER JOIN VIEW_KREIS_GERMANY VKG ON VGG.MAPPED_NR = VKG.NR; 
	
-- DROP VIEW VIEW_MAPPING_PLZ_TO_GEMEINDE_GERMANY; 
CREATE VIEW view_mapping_plz_to_gemeinde_germany AS 
SELECT 
	VPG.NAME AS PLZ_Name,
	VPG.NR AS PLZ_Nr,
	VGG.NAME AS Gemeinde_Name,
	VGG.NR AS Gemeinde_Nr
	FROM VIEW_PLZ_GERMANY VPG 
	INNER JOIN VIEW_GEMEINDE_GERMANY VGG ON VPG.MAPPED_NR = VGG.NR; 

-- DROP VIEW VIEW_MAPPING_OKRES_TO_KRAJ_CZECH; 
CREATE VIEW view_mapping_okres_to_kraj_czech AS
SELECT 
	VOC.NAME AS Okres_Name,
	VOC.NR AS Okres_Nr,
	VKC.NAME AS Kraj_Name,
	VKC.NR AS Kraj_Nr
	FROM VIEW_OKRES_CZECH VOC
	INNER JOIN VIEW_KRAJ_CZECH VKC ON VOC.MAPPED_NR = VKC.NR;

-- DROP VIEW VIEW_MAPPING_ORP_TO_OKRES_CZECH; 
CREATE VIEW view_mapping_orp_to_okres_czech AS
SELECT 
	VOC.NAME AS ORP_Name,
	VOC.NR AS ORP_Nr,
	VOC2.NAME AS Okres_Name,
	VOC2.NR AS Okres_Nr
	FROM VIEW_ORP_CZECH VOC 
	INNER JOIN VIEW_OKRES_CZECH VOC2 ON VOC.MAPPED_NR = VOC2.NR;
	
-- DROP VIEW VIEW_MAPPING_OBEC_TO_ORP_CZECH; 
CREATE VIEW view_mapping_obec_to_orp_czech AS
SELECT 
	VOC3.NAME AS Obec_Name,
	VOC3.NR AS Obec_Nr,
	VOC.NAME AS Orp_Name,
	VOC.NR AS Orp_Nr
	FROM VIEW_OBEC_CZECH VOC3
	INNER JOIN VIEW_ORP_CZECH VOC ON VOC3.MAPPED_NR  = VOC.NR;

-- DROP VIEW VIEW_MAPPING_POWIAT_TO_WOJEWODZTWO_POLAND; 
CREATE VIEW view_mapping_powiat_to_wojewodztwo_poland AS
SELECT 
	VPP.NAME AS Powiat_Name,
	VPP.NR AS Powiat_Nr,
	VWP.NAME AS Wojewodztwo_Name,
	VWP.NR AS Wojewodztwo_Nr
	FROM VIEW_POWIAT_POLAND VPP 
	INNER JOIN VIEW_WOJEWODZTWO_POLAND VWP ON VPP.MAPPED_NR = VWP.NR;
	
-- DROP VIEW VIEW_MAPPING_GMINIA_TO_POWIAT_POLAND; 
CREATE VIEW view_mapping_gminia_to_powiat_poland AS
SELECT 
	VGP.NAME AS Gminia_Name,
	VGP.NR AS Gminia_Nr,
	VPP.NAME AS Powiat_Name,
	VPP.NR AS Powiat_Nr
	FROM VIEW_GMINIA_POLAND VGP 
	INNER JOIN VIEW_POWIAT_POLAND VPP ON VGP.MAPPED_NR = VPP.NR; 